<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Permission extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $fillable=[
        'name'
    ];
    protected $dates        = ['deleted_at'];

    // many to many relationship between users table and permissions table
    public function users()
    {
        return $this->belongsToMany(User::class,'users_securables','permission_id','user_id');
    }

    // many to many relastionship between Permission table and Securable Table
    public function securablies()
    {
        return $this->belongsToMany(Securable::class,'roles_securables','permission_id','securable_id');
    }

    // // many to many relationship between users table and permissions table
    // public function users()
    // {
    //     return $this->belongsToMany(User::class,'User_Permission','permission_id','user_id');
    // }
}
