<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Purchase extends Model
{
    use HasFactory;
    public $timestamps = true;
    use SoftDeletes;
    protected $fillable = [
        'invoice_number',
        'invoice_date',
        'invoice_due_date',
        'total_amount',
        'payment_method',
        'supplier_id',
        'paid_amount',
        'vat_number',
        'image'
    ];
    protected $dates        = ['deleted_at'];

    // one to many relationship between Purchases and Supplier table
    public function suppliers()
    {
        return $this->belongsTo(Supplier::class);
    }

    // many to many relationship between purchases table and items table
    public function items()
    {
        return $this->belongsToMany(Item::class,'purchases_items','purchase_id','item_id')
                    ->withPivot('mesurment','quantity','expire_date')->wherePivotNull('deleted_at');
    }
}
