<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
    use HasFactory;
    public $timestamps = true;
    protected $fillable = [
        'name',
        'email',
        'registeration_number',
        'vat_number',
        'payment_method',
        'address',
        'city',
        'country',
        'contact_person',
        'contact_person_phone',
        'contact_person_email',
    ];
    protected $dates        = ['deleted_at'];

    // one to many relationship between Purchases and Supplier table
    public function purchases()
    {
        return $this->hasMany(Purchase::class,'supplier_id');
    }
}
