<?php

namespace App\Http\Controllers;
use App\Models\Settings;
use Illuminate\Http\Request;
use Flash;
use Illuminate\Support\Facades\Validator;

class SettingsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $settings = new Settings();
        $all = Settings::all();
        if (count($all) > 0){
            $settings = $all->first();
            return view('dashboard.settings.show',compact('settings'));
        }
        else if (count($all) == 0){
            return view('dashboard.settings.index');
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        // dd($request->all());
        $rule  =  array(
            'company_name'          => 'string |max:191 | required',
            'contact_person'        => 'string |max:191 | required',
            'contact_person_email'  => 'string',
            'address'               => 'string',
            'country'               => 'string ',
            'coffee_name'           => 'string',
            'contact_person_phone'  => 'string',
            // 'registeration_number'  => 'string',
            'city'                  => 'string',
            'vat_number'            => 'string',
            'tax'                   => 'float | required'
        );

        $validator = Validator::make($request->all(), $rule);
        if ($validator->fails()) {
            Flash::error($validator->errors());
            return back()->withErrors($validator->errors());
        } else {


            $settings                       = new Settings();
            $settings->company_name         = $request->input('company_name');
            $settings->contact_person       = $request->input('contact_person');
            $settings->contact_person_email = $request->input('contact_person_email');
            $settings->address              = $request->input('address');
            $settings->country              = $request->input('country');
            $settings->city                 = $request->input('city');
            $settings->coffee_name          = $request->input('coffee_name');
            $settings->contact_person_phone = $request->input('contact_person_phone');
            $settings->registeration_number = $request->input('registeration_number');
            $settings->vat_number           = $request->input('vat_number');
            $settings->tax                  = $request->input('tax');
            if(isset($request->included_vat) && $request->included_vat =='on'){
                $settings->with_tax =1;
            }else if(isset($request->excluded_vat) && $request->excluded_vat =='on'){
                $settings->with_tax =0;
            }
            $image                          = $request->file('logo');
            if (isset($image)){
                    $imageName = $image->getClientOriginalName();
                    $image->move('images', $imageName);
                    $settings->logo = $imageName;
                }
            // dd($settings);
            $settings->save();
            Flash::success('Settings Created');
            return redirect(route('settings.index'));
        }

    }

    public function show($id)
    {
        //

    }


    public function edit($id)
    {
        //
    }


    public function update(Request $request,$id)
    {
        // dd($request->all());

        $settings                           = Settings::find($id);
        $settings->company_name             = $request->input('company_name');
        $settings->contact_person           = $request->input('contact_person');
        $settings->contact_person_email     = $request->input('contact_person_email');
        $settings->address                  = $request->input('address');
        $settings->country                  = $request->input('country');
        $settings->city                     = $request->input('city');
        $settings->coffee_name              = $request->input('coffee_name');
        $settings->contact_person_phone     = $request->input('contact_person_phone');
        $settings->registeration_number     = $request->input('registeration_number');
        $settings->vat_number               = $request->input('vat_number');
        $settings->tax                      = $request->input('tax');

        if(isset($request->included_vat) && $request->included_vat == 'on'){
            $settings->with_tax =1;
        }else if(isset($request->excluded_vat) && $request->excluded_vat =='on'){
            $settings->with_tax =0;
        }

        $image                              = $request->file('logo');
        if (isset($image)){
                $imageName = $image->getClientOriginalName();
                $image->move('images', $imageName);
                $settings->logo = $imageName;
            }
        $settings->save();
        return redirect(route('settings.index'));

    }


    public function destroy($id)
    {
        //
    }
}
