<?php

namespace App\Imports;

use App\Models\Category;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class CategoriesImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        $digital_menue = $row['digital_menu'];
        $pos = strtolower($row['pos']);
        $pos_toSave = false;
        $lower = strtolower($digital_menue);
        $digital_menue_toSave = false;
        if($lower =="yes")  $digital_menue_toSave = true;
        if($pos == "yes")  $pos_toSave =true;
        $paren_category = Category::where('code','=', $row['parent_code'])->first();
        if(!is_null($paren_category)){
            $parent_id = $paren_category ->id;
        }else{
            $parent_id = null;
        }
        $new_category   = new Category();
        $new_category->name_ar      = $row['name_ar'];
        $new_category->name_en      = $row['name_en'];
        $new_category->code         = $row['code'];
        $new_category->discount     = $row['discount'];
        $new_category->parent_id    = $parent_id;
        $new_category->created_by   = auth()->user()->id;
        $new_category->digital_menu = $digital_menue_toSave;
        $new_category->pos          = $pos_toSave;
        $new_category->save();
        return $new_category;

    }
}
