<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Product extends Model
{
    use HasFactory;
    // use SoftDeletes;
    public $timestamps = true;
    protected $fillable = [
        'name_en',
        'name_ar',
        'code',
        'cost_price',
        'selling_price',
        'category_id',
        'discount',
        'pos',
        'digital_menu',
        'image',

    ];

    protected $dates        = ['deleted_at'];
    public function category()
    {
        return $this->belongsTo(Category::class,'category_id');
    }

    // many to many relationship between ordes table and products table (third table is orders_items)
    public function orders()
    {
        return $this->belongsToMany(Order::class,'orders_items','product_id','order_id')
                    ->withPivot('quantity','product_dis','taxable_amount','total_amount','tax_amount')->wherePivotNull('deleted_at');
    }

    // many to many relationship between Items table and Products table
    public function items()
    {
        return $this->belongsToMany(Item::class,'products_items','product_id','item_id')
                    ->withPivot('mesurment')->wherePivotNull('deleted_at');
    }

    // public function ingredients()
    // {
    //     return $this->belongsToMany(Ingredient::class,'product_ingredient','ingredient_id','product_id');
    // }

    // public function image()
    // {
    //  return $this->hasOne(Image::class, 'image_id');
    // }



}
