<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchases', function (Blueprint $table) {
            $table->id();
            $table->string('invoice_number');
            $table->dateTime('invoice_date');
            $table->dateTime('invoice_due_date');
            $table->float('total_amount');
            $table->string('payment_method');
            $table->float('paid_amount')->nullable();
            $table->string('vat_number')->nullable();
            $table->string('image')->nullable();
            $table->unsignedBigInteger('supplier_id') ;
            $table->foreign('supplier_id')->references('id')->on('suppliers')->onUpdate('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchases');
    }
}
