@extends('layouts.app')
@section('title')
Reports
@endsection
@push('styles')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" />
@endpush
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
    {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body row">
            <h5 class="card-title py-2 mb-0 darkblue">Reports</h5>
            <div class="col-md-3 form-group">
                <select name="model" id="model" class="form-control">
                    <option value="Category">Category</option>
                    <option value="Product">Products</option>
                    <option value="Order">Orders</option>
                    <option value="Inventory">Inventory</option>
                    <option value="Purchase">Purchases</option>
                </select>
                {{-- <input type="text" name="model" id="model" class="form-control" placeholder="To Date" /> --}}
            </div>
            <div class=" col-md-6 form-group">
                    <div id="reportrange">
                        <i class="fa fa-calendar"></i>
                        <span></span> <i class="fa fa-caret-down"></i>
                    </div>
                    <input id="test" type="hidden" name="created">
                {{-- <div class="col-md-3 form-group">
                    <input type="text" name="from_date" id="from_date" class="form-control" placeholder="From Date"
                        readonly />
                </div>
                <div class="col-md-3 form-group">
                    <input type="text" name="to_date" id="to_date" class="form-control" placeholder="To Date"
                        readonly />
                </div> --}}

            </div>
            <div class="col-md-3 form-group">
                <button type="button" name="filter" id="filter" class="btn btn-primary">Filter</button>
                {{-- <button type="button" name="refresh" id="refresh" class="btn btn-default">Refresh</button> --}}
            </div>
            <br />
            <div class="table-responsive">
                <table class="table  table-striped w-100" id="order_table">
                    <thead>
                        <tr>
                            {{-- @foreach($data as $dat){
                                <th>{{ $dat->id }}</th>
                            }
                            @endforeach --}}
                            <th></th>
                            <th></th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>

<script>
    $(document).ready(function() {
        $('.input-daterange').datepicker({
            todayBtn:'linked',
            format:'yyyy-mm-dd',
            autoclose:true
            });
    function load_data(from_date = '', to_date = '', model) {
        var table = $('#order_table').DataTable({
            responsive: true
            , pageLength: 10
            , aaSorting: []
            , dom: 'Bfrtip'
            , buttons: [
                'excel', 'copy', 'print', 'pdfHtml5'
            ]
            , "language": {
                "url": "{{asset('ar.json')}}"
            }
            , processing: true
            , serverSide: true
            , ajax: {
                url: '{{ route("reports.index") }}'
                , data: {
                    from_date: from_date
                    , to_date: to_date
                    , model
                }
            }
            , columns: [{

                    data: 'id'
                    , title: 'ID'
                }
                , {
                    data: 'name_en'
                    , title: 'name_en'
                }
                , {
                    data: 'price'
                    , title: 'Price'
                }
            ]
        });
    }

    $('#filter').click(function() {
    var from_date = start.format('MMMM D, YYYY');
    var to_date = end.format('MMMM D, YYYY');
    var model = $('#model').val();
    if (from_date != '' && to_date != '' && model != '') {
        $('#order_table').DataTable().destroy();
        load_data(from_date, to_date, model);
    } else {
        alert('Both Date and Category are required');
    }

    });
});
</script>
@endsection
