@extends('layouts.app')
@section('title')
Show Category
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.show_cat') }}</h5>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name_en" class="">{{ __('messages.name_en') }}</label>
                        <input name="name_en" id="name_en" placeholder="{{ __('messages.name_en') }}" class="form-control" value="{{ $category->name_en }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="name_ar" class="">{{ __('messages.name_ar') }}</label>
                        <input name="name_ar" id="name_ar" placeholder="{{ __('messages.name_ar') }}" class="form-control" value="{{ $category->name_ar }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="code" class="">{{ __('messages.code') }}</label>
                        <input name="code" id="code" placeholder="{{ __('messages.code') }}" class="form-control" value="{{ $category->code }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="dicount" class="">{{ __('messages.discount') }}</label>
                        <input name="dicount" id="dicount" placeholder="{{ __('messages.discount') }}" class="form-control" type="number" value="{{ $category->discount }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="parent_cat" class="">{{ __('messages.parent_cat') }}</label>
                        <select disabled name="parent_cat" id="parent_cat" class="form-control">
                            <option value="" selected >{{ __('messages.choose') }} {{ __('messages.parent_cat') }}</option>
                            @foreach($categories as $type)
                            {{-- <option value="{{ $type->id }}" >{{ $type->name }}</option> --}}
                            <option value="{{ $type->id }}"  {{ $category->parent_id ==  $type->id ? 'selected' : '' }}>{{ $type->name_en }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="d-flex form-group col-md-6" style="height: 10vh;">
                        <div class="form-check form-switch px-0 mr-3">
                            <label class="form-check-label" for="digital_menu">{{ __('messages.digitalMenu') }}</label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu" value="on" {{ $category->digital_menu === '1' ? 'checked' : '' }} disabled>
                          </div>
                          <div class="form-check form-switch px-0">
                            <label class="form-check-label" for="pos">{{ __('messages.pos') }}</label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos" value="on" {{ $category->pos === '1' ? 'checked' : '' }} disabled>
                          </div>
                    </div>
                </div>
                <a href="{{route('categories.index')}}" class="mt-1 btn bg-darkblue text-white">{{ __('messages.back') }}</a>
        </div>
    </div>
</div>
@endsection
