@extends('layouts.app')
@section('title')
    @php
        $language = app()->getLocale();
    @endphp
    @if ($language=='ar')
        الفواتير
    @else
        Invoices
    @endif
@endsection
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            {{--  <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">Category</h5>
                <a href="{{ route('uploadFile') }}" class="btn btn-success">
                    <i class='fas fa-file-import text-white'></i>
                </a>
                <a style="text-decoration: none;" href="{{ route('categories.create') }}" class="bg-blue text-white p-2 border-round fw-bold">Create Category</a>
            </div>  --}}
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                <tr class="darkblue">
                    <th>{{__('messages.invoice#')}}</th>
                    {{--  <th>{{__('messages.invoice_number')}}</th>  --}}
                    <th style="width: 100px !important;">{{__('messages.order#')}}</th>
                    <th>{{__('messages.table#')}}</th>
                    <th>{{__('messages.index_total')}}</th>
                    <th>{{__('messages.invoice_date')}}</th>
                    <th>{{__('messages.action')}}</th>
                </tr>
                </thead>
                <tbody>
                    @if(isset($invoices) && count($invoices)>0)
                        @foreach($invoices as $invoice)
                            @php
                                switch( strlen((string)$invoice->order->id)){
                                    case('1'):
                                        $order_number = '00000'.$invoice->order->id;
                                        break;
                                    case('2'):
                                        $order_number = '0000'.$invoice->order->id;
                                        break;
                                    case('3'):
                                        $order_number = '000'.$invoice->order->id;
                                        break;
                                    case('4'):
                                        $order_number = '00'.$invoice->order->id;
                                        break;
                                    case('6'):
                                        $order_number = '0'.$invoice->order->id;
                                        break;
                                    default:
                                        $order_number = $invoice->order->id;
                                        break;
                                }
                            @endphp
                            @php
                                switch( strlen((string)$invoice->id)){
                                    case('1'):
                                        $invoice_number = '00000'.$invoice->id;
                                        break;
                                    case('2'):
                                        $invoice_number = '0000'.$invoice->id;
                                        break;
                                    case('3'):
                                        $invoice_number = '000'.$invoice->id;
                                        break;
                                    case('4'):
                                        $invoice_number = '00'.$invoice->id;
                                        break;
                                    case('6'):
                                        $invoice_number = '0'.$invoice->id;
                                        break;
                                    default:
                                        $invoice_number = $invoice->id;
                                        break;
                                }
                            @endphp

                        <tr>
                            {{--  <td>{{$invoice->id}}</td>  --}}
                            <td>{{$invoice_number}}</td>
                            <td>{{$order_number}}</td>
                            <td>{{$invoice->order->table_num}}</td>
                            <td>{{$invoice->order->total}}</td>
                            <td>{{date('Y-m-d',strtotime($invoice->updated_at))}}</td>
                            <td>
                                <a href="{{route('show_invoice',['id'=>$invoice->id])}}" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="show">
                                    <i class="px-2 fa-solid fa-eye"></i>
                                </a>
                                {{--  <a href="{{route('edit_invoice',['id'=>$invoice->id])}}" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="edit">
                                    <i class="px-2 fa-solid fa-pen-to-square green"></i>
                                </a>
                                <a href="#" class="confirm_del_invoice" data-invoice_id="{{$invoice->id}}" data-bs-toggle="tooltip" data-bs-placement="top" title="delete">
                                    <i class="px-2 fa-solid fa-trash-can red"></i>
                                </a>  --}}

                            </td>
                        </tr>
                        @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('script')
    <script>
        $('.confirm_del_order').each(function(){
            $(this).on('click',function(ev){
                var elm = $(this);
                ev.preventDefault()
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            data:{'id':elm.data('order_id')},
                            url:'del_order',
                            success: function (data) {
                                console.log(data)
                                if(data.status == 'success'){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: "your order # "+elm.data('order_id')+" has been deleted!",
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    })
                                    elm.parent().parent().remove()
                                }else{
                                    Swal.fire({
                                        title: "Sorry can't delete this order",
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'OK',
                                        })
                                }
                            }
                        });
                    }
                })
            })
        })
    </script>
@endsection
