@extends('layouts.app')
@section('title')
    @php
        $language = app()->getLocale();
    @endphp
    @if($language == 'ar')
        عرض الفاتورة
    @else
        Show Invoice
    @endif
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            @php
                switch( strlen((string)$invoice->id)){
                    case('1'):
                        $invoice_number = '00000'.$invoice->id;
                        break;
                    case('2'):
                        $invoice_number = '0000'.$invoice->id;
                        break;
                    case('3'):
                        $invoice_number = '000'.$invoice->id;
                        break;
                    case('4'):
                        $invoice_number = '00'.$invoice->id;
                        break;
                    case('6'):
                        $invoice_number = '0'.$invoice->id;
                        break;
                    default:
                        $invoice_number = $invoice->id;
                        break;
                }
            @endphp

                @php
                    switch( strlen((string)$invoice->order->id)){
                        case('1'):
                            $order_number = '00000'.$invoice->order->id;
                            break;
                        case('2'):
                            $order_number = '0000'.$invoice->order->id;
                            break;
                        case('3'):
                            $order_number = '000'.$invoice->order->id;
                            break;
                        case('4'):
                            $order_number = '00'.$invoice->order->id;
                            break;
                        case('6'):
                            $order_number = '0'.$invoice->order->id;
                            break;
                        default:
                            $order_number = $invoice->order->id;
                            break;
                    }
                @endphp
            <h5 class="card-title">{{__('messages.show_invoice')}} {{$invoice_number}} </h5>

                <div class="row">
                    <div class="col-md-6">
                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.order')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $order_number }}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.create_date')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ date("F j, Y, g:i a",strtotime($invoice->created_at))}}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.created_by')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="@if(!is_null($created_by)){{$created_by->name}}@endif" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.modified_date')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ date("F j, Y, g:i a",strtotime($invoice->updated_at))}}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.modified_by')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="@if(!is_null($modified_by)){{$modified_by->name}}@endif" readonly>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.table')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $invoice->order->table_num }}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.customer')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $invoice->order->customer_name }}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.waiter')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $invoice->order->waiter_name }}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.payment_method')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $invoice->order->payment_type}}" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.order_type')}}</label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="{{ $invoice->order->order_type }}" readonly>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <table class="table table-borderless table-striped table-hover" id="ord_pro_table">
                            <input type="hidden" name="product_id[]" id="product_id">
                            <thead class="text-center">
                                <td>{{__('messages.item_id')}}</td>
                                <td>{{__('messages.item_name')}}</td>
                                <td>{{__('messages.item_price')}}</td>
                                <td>{{__('messages.item_qty')}}</td>
                                <td>{{__('messages.total_amount')}}</td>
                                <td>{{__('messages.total_taxable_amount')}}</td>
                                <td>{{__('messages.total_vat')}}</td>
                            </thead>
                            <tbody class="text-center" id="ord_pro_table_body">
                                @foreach ($products as $product)
                                    {{--  @if($settings->with_tax)

                                    @else

                                    @endif  --}}

                                    <tr>
                                        <td>{{$product->id}}</td>
                                        <td>
                                            @if($language == 'ar')
                                                {{$product->name_ar}}
                                            @else
                                                {{$product->name_en}}
                                            @endif
                                        </td>
                                        <td>{{$product->selling_price}}</td>
                                        <td>{{$product->pivot->quantity}}</td>
                                        <td>{{number_format($product->pivot->total_amount,2)}}</td>
                                        <td>{{number_format($product->pivot->taxable_amount,2)}}</td>
                                        <td>{{number_format($product->pivot->tax_amount,2)}}</td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8 col-12 mt-5">
                        <table class="table inv_total_table mb-0 " >
                            <tbody style="background-color: #F6F9FD">
                                <tr>
                                    <td style="width: 300px">{{__('messages.total_taxable_amount')}}</td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="sub_total" id="sub_total" step="0.01" value="{{$invoice->order->sub_total}}"readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 300px">{{__('messages.total_vat')}}</td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="tax" id="tax" step="0.01"  value="{{$invoice->order->tax}}" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 300px" class="en_font">{{__('messages.discount')}}</td>
                                    <td style="width:310px">
                                        <input type="number" step="0.001" class="form-control" name="discount" id="discount" step="0.01"  value="{{$invoice->order->discount}}" readonly>
                                        @if ($errors->has('discount'))
                                            <span class="text-danger">{{ $errors->first('discount') }}</span>
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 200px">{{__('messages.sub_total_a_dis')}}</td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="sub_total" id="sub_total" step="0.01" value="{{$invoice->order->sub_total_a_dis}}"readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 200px">{{__('messages.tax_a_dis')}}</td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="tax" id="tax" step="0.01"  value="{{$invoice->order->tax_a_dis}}" readonly>
                                    </td>
                                </tr>

                                <tr style="background-color: #D9E5F5">
                                    <td  style="width: 300px" class="en_font">{{__('messages.total_amount_due')}}</td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="total" id="total" step="0.01" value="{{$invoice->order->total}}" readonly>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <div class="col-md-4 col-12 mt-5">
                        <div class="row">
                            @if(isset($invoice))
                                <div class="col-12" style="margin-bottom: 4.5rem">
                                    <a href="{{route('print_invoice',['id'=>$invoice->id])}}"  class="btn bg-darkblue text-white w-100" target="_blank">
                                        {{__('messages.print')}}
                                    </a>
                                </div>
                            @endif
                            <div class="col-12" style="margin-bottom: 4.5rem">
                                <a href="{{route('all_invoices')}}"  class="btn bg-info text-white w-100">
                                    {{__('messages.back')}}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

        </div>
    </div>
</div>
@endsection
