@extends('layouts.app')
@section('title')
    @php
        $language = app()->getLocale();
    @endphp
    @if ($language == 'ar')
        اضافة طلب
    @else
        Add order
    @endif
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif

{{--  {{dd($last_order_id)}}  --}}

<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{__('messages.create_order')}}</h5>
            <div class="row">
                <div class="col-12">
                    <form id="form">
                        @csrf

                        <input type="hidden"  name="order_id" id="order_id" value="@if(isset($order)){{$order->id}}@endif">

                        @if(isset($settings) && !is_null($settings))
                            <input type="hidden" id="setting_tax" value="{{$settings->tax}}" data-with_tax="{{$settings->with_tax}}">
                            {{--  <input type="hidden" id="setting_tax" value="15" data-with_tax="{{$settings->with_tax}}">  --}}
                        {{--  @else
                            <input type="hidden" id="setting_tax" value="15" data-with_tax="0">  --}}
                        @endif

                        <div class="row">
                            <div class="col-md-7">
                                <div class="row">
                                    <div class="col-12">
                                        @php
                                            $language = app()->getLocale();
                                        @endphp
                                        @foreach ($categories as $cat)
                                            <button type="button" id="cat_id_{{$cat->id}}" data-cat_id ="{{$cat->id}}" class="btn btn-outline-primary btn select_cat mb-1" onclick="get_cat_products('{{$cat->id}}')">
                                                @if($language == 'ar')
                                                    {{$cat->name_ar}}
                                                @else
                                                    {{$cat->name_en}}
                                                @endif
                                            </button>
                                        @endforeach
                                    </div>
                                    <div class="col-12">
                                        <div class="row mt-3 mb-3"  id="products">

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-5">
                                <div class="row">
                                    {{--  @if(!isset($order))  --}}
                                        <div class="col-12 d-flex justify-content-end">
                                            <button type="button" id="new_order"  class="btn btn-primary btn mb-2">{{__('messages.new_order')}}</button>
                                        </div>
                                    {{--  @endif  --}}


                                    {{--  orders table   --}}
                                    <div class="col-12 d-flex justify-content-between mt-3">
                                        <h6 class="order_num">
                                            @if(isset($order))
                                                @php
                                                    switch( strlen((string)$order->id)){
                                                        case('1'):
                                                            $order_number = '00000'.$order->id;
                                                            break;
                                                        case('2'):
                                                            $order_number = '0000'.$order->id;
                                                            break;
                                                        case('3'):
                                                            $order_number = '000'.$order->id;
                                                            break;
                                                        case('4'):
                                                            $order_number = '00'.$order->id;
                                                            break;
                                                        case('6'):
                                                            $order_number = '0'.$order->id;
                                                            break;
                                                        default:
                                                            $order_number = $order->id;
                                                            break;
                                                    }
                                                @endphp
                                                {{__('messages.order')}} {{$order_number}}
                                            @else
                                                {{__('messages.order')}} {{$last_order_id}}
                                            @endif
                                        </h6>
                                        <h6 class="table_num">{{__('messages.table')}} @if(isset($order)) {{$order->table_num}} @endif</h6>
                                    </div>

                                    <div class="col-12">
                                        <div class="row d-flex align-items-center">
                                            <div class="col-md-6">
                                                <h6 class="table_num">{{__('messages.item_barcode')}}</h6>
                                            </div>
                                            <div class="col-md-6">
                                                <input type="text" name='barcode' class="form-control"  id="barcode">
                                            </div>
                                        </div>
                                    </div>
                                    {{--  start products table   --}}
                                    <div class="col-12">
                                        <table class="table table-borderless table-striped table-hover" id="ord_pro_table">
                                            @if(isset($order))
                                                @php
                                                    $products_id = [];
                                                @endphp
                                                @foreach ($order->products as $product)
                                                    @php
                                                        $products_id[] = $product->id;
                                                    @endphp
                                                @endforeach
                                            @endif
                                            <input type="hidden" name="product_id[]" id="product_id" @if(isset($order)) value="{{implode(",",$products_id)}}" @endif>
                                            <thead class="text-center">
                                                <td>{{__('messages.item_name')}}</td>
                                                <td>{{__('messages.item_price')}}</td>
                                                <td>{{__('messages.quantity')}}</td>
                                            </thead>
                                            <tbody class="text-center" id="ord_pro_table_body">
                                                @if(isset($order))
                                                    @if(count($order->products )>0)
                                                        @foreach ($order->products as $product)
                                                            @php
                                                                $with_tax = 0;

                                                                if($with_tax){
                                                                    $pro_price    = floatval(((int)($product->selling_price) * 100 ) / (100 + (int)(0.15))) ;
                                                                    $pro_total    = floatval($product->pivot->quantity * $pro_price);

                                                                }else{
                                                                    $vat_amount       = ((int)($product->selling_price) * (int)(0.15))/100;
                                                                    $pro_price        = (int)($product->selling_price) + $vat_amount;
                                                                    $pro_total        = floatval($product->pivot->quantity * $pro_price);
                                                                }
                                                            @endphp


                                                            <tr>
                                                                <td>{{$product->name_en}}</td>
                                                                <td class="pro_price">{{$product->selling_price}}</td>
                                                                {{--  <td>
                                                                    <div class="quantity buttons_added">
                                                                        <input type="button" value="-" class="minus" data-product_id="`+product_id+`">
                                                                        <input  type="number" step="1" min="1" name="quantity[]"  id="pro_`+product_id+`_qty" value="1" title="Qty" class="input-text qty text" size="4" pattern="" inputmode="" onchange="Calc_all_totals(`+total_dis+`)" onkeyup="Calc_all_totals(`+total_dis+`)" readonly>
                                                                        <input type="button" value="+" class="plus" data-product_id="`+product_id+`">
                                                                    </div>
                                                                    <input type='hidden' class="pro_total_price" id="pro_`+product_id+`_total" value="`+pro_total+`">
                                                                </td>  --}}
                                                                <td>
                                                                    <div class="quantity buttons_added">
                                                                        <input type="button" value="-" class="minus" data-product_id="{{$product->id}}">
                                                                        <input  type="number" step="1" min="1" name="quantity[]"  id="pro_{{$product->id}}_qty" value="{{$product->pivot->quantity}}" title="Qty" class="input-text qty text" size="4" pattern="" inputmode="" onchange="Edit_Calc_all_totals({{$product->discount}},{{$product->category->discount}},{{$product->selling_price}})" onkeyup="Edit_Calc_all_totals({{$product->discount}},{{$product->category->discount}},{{$product->selling_price}})" readonly>
                                                                        <input type="button" value="+" class="plus" data-product_id="{{$product->id}}">
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <i class="fa fa-trash text-danger del_item" id="del_item_{{$product->id}}" data-product_id="{{$product->id}}" data-product_dis="{{$order->discount}}"aria-hidden="true" style="cursor:pointer" onClick="Del_Item('{{$product->id}}')"></i>
                                                                </td>
                                                            </tr>
                                                        @endforeach
                                                    @endif
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>

                                    {{--  end products table   --}}

                                    {{--  start calc table   --}}
                                    <div class="col-12 mt-5">
                                        <table class="table inv_total_table mb-0 " >
                                            <tbody style="background-color: #F6F9FD">

                                                <tr>
                                                    <td style="width: 200px">{{__('messages.pos_sub_total')}}</td>
                                                    <td style="width:310px">
                                                        <input type="number" class="form-control" name="sub_total" id="sub_total" step="0.01" @if(isset($order)) value="{{$order->sub_total}}"  @endif readonly>
                                                        @if ($errors->has('total'))
                                                            <span class="text-danger">{{ $errors->first('total') }}</span>
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td  style="width: 200px">{{__('messages.tax')}}</td>
                                                    <td style="width:310px">
                                                        <input type="number" class="form-control" name="tax" id="tax" step="0.01" @if(isset($order) ) value="{{$order->tax}}"  @endif >
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td  style="width: 200px" class="en_font">{{__('messages.discount')}}</td>
                                                    <td style="width:310px">
                                                        <input type="number" step="0.001" class="form-control" name="discount" id="discount" step="0.01"  @if(isset($order)) value="{{$order->discount}}"  @else value="0" @endif >
                                                        @if ($errors->has('discount'))
                                                            <span class="text-danger">{{ $errors->first('discount') }}</span>
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td  style="width: 200px" class="en_font">{{__('messages.sub_total_a_dis')}}</td>
                                                    <td style="width:310px">
                                                        {{--  <input type="number" step="0.001" class="form-control" name="sub_total_a_dis" id="sub_total_a_dis" step="0.01"  @if(isset($order)) value="{{$order->discount}}"  @else value="0" @endif >  --}}
                                                        <input type="number" step="0.001" class="form-control" name="sub_total_a_dis" id="sub_total_a_dis" step="0.01" @if(isset($order)) value="{{$order->sub_total_a_dis}}" @endif>
                                                        {{--  @if ($errors->has('discount'))
                                                            <span class="text-danger">{{ $errors->first('discount') }}</span>
                                                        @endif  --}}
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td  style="width: 200px" class="en_font">{{__('messages.tax_a_dis')}}</td>
                                                    <td style="width:310px">
                                                        <input type="number" step="0.001" class="form-control" name="tax_a_dis" id="tax_a_dis" step="0.01" @if(isset($order)) value="{{$order->tax_a_dis}}"   @endif>

                                                        {{--  <input type="number" step="0.001" class="form-control" name="discount" id="discount" step="0.01"  @if(isset($order)) value="{{$order->discount}}"  @else value="0" @endif >
                                                        @if ($errors->has('discount'))
                                                            <span class="text-danger">{{ $errors->first('discount') }}</span>
                                                        @endif  --}}
                                                    </td>
                                                </tr>

                                                <tr style="background-color: #D9E5F5">
                                                    <td  style="width: 200px" class="en_font">{{__('messages.total_amount')}}</td>
                                                    <td style="width:310px">
                                                        <input type="number" class="form-control" name="total" id="total" step="0.01" @if(isset($order) ) value="{{$order->total}}"  @endif readonly>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    {{--  end calc table   --}}

                                    {{--  start option fields   --}}
                                    <div class="col-12">
                                        <div class="mb-3 mt-3 row">
                                            <label for="order_type" class="col-sm-5 col-form-label">{{__('messages.order_type')}}</label>
                                            <div class="col-sm-7">
                                                <select class="form-select" aria-label="Default select example" id="order_type">
                                                    <option class="o_1" selected disabled>{{__('messages.select_order_type')}}</option>
                                                    <option value="dinin" @if(isset($order) && $order->order_type == "dinin") {{'selected'}} @endif>{{__('messages.dinin')}}</option>
                                                    <option value="Take Away" @if(isset($order) && $order->order_type == "Take Away") {{'selected'}} @endif>{{__('messages.take_away')}}</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="mb-3 row">
                                            <label for="customer" class="col-sm-5 col-form-label">{{__('messages.customer')}}</label>
                                            <div class="col-sm-7">
                                              <input type="text" class="form-control" id="customer" @if(isset($order)) value="{{$order->customer_name}}" @endif>
                                            </div>
                                        </div>

                                        <div class="mb-3 row">
                                            <label for="waiter_name" class="col-sm-5 col-form-label">{{__('messages.waiter')}}</label>
                                            <div class="col-sm-7">
                                              <input type="text" class="form-control" id="waiter_name" @if(isset($order)) value="{{$order->waiter_name}}" @endif>
                                            </div>
                                        </div>

                                        <div class="mb-3 row">
                                            <label for="table_num" class="col-sm-5 col-form-label">{{__('messages.table_number')}}</label>
                                            <div class="col-sm-7">
                                              <input type="number" min=1 class="form-control" id="table_num" @if(isset($order)) value="{{$order->table_num}}" @endif>
                                            </div>
                                        </div>

                                        <div class="mb-3 mt-3 row">
                                            <label for="payment_type" class="col-sm-5 col-form-label">{{__('messages.payment_method')}}</label>
                                            <div class="col-sm-7">
                                                <select class="form-select" aria-label="Default select example" id="payment_type">
                                                    <option class="p_1" selected disabled>{{__('messages.select_pyment_type')}}</option>
                                                    <option value="cash" @if(isset($order) && $order->payment_type == "cash") {{'selected'}} @endif>{{__('messages.cash')}}</option>
                                                    <option value="card" @if(isset($order) && $order->payment_type == "card") {{'selected'}} @endif>{{__('messages.card')}}</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    {{--  end option fields   --}}
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="row">
                <div class="col-md-7">
                    <div class="row" id="orders">
                        @if(isset($open_orders) && count($open_orders)>0)
                            @foreach ($open_orders as $ord)
                                @if( isset($order) && ($ord->id == $order->id))
                                    @continue
                                @else
                                    <div class=" col-md-4 mb-2  p-0" id="get_order_{{$ord->id}}" data-order_id="{{$ord->id}}" onclick="Get_Order('{{$ord->id}}',1)"  style="cursor:pointer">
                                        <div class="col-md-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <h5 class="card-title text-center">{{__('messages.order')}} {{$ord->id}} </h5>
                                                    <h6 class="text-primary">{{__('messages.table')}} {{$ord->table_num}}</h6>
                                                    <h6 class="text-primary">{{__('messages.customer')}} {{$ord->customer_name}}</h6>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            @endforeach
                        @endif
                    </div>
                </div>
                {{--  start buttons   --}}
                <div class="col-md-5">
                    <div class="row">
                        <div class="col-6">
                            <button class="mt-1 btn bg-danger text-white w-100 cancel_pos_btn" @if(isset($order)) data-order_id ="{{$order->id}}"@endif>{{__('messages.cancel')}}</button>
                        </div>
                        <div class="col-6">
                            <button class="mt-1 btn bg-info text-white w-100 print_btn" @if(isset($order)) data-order_id ="{{$order->id}}"@endif>{{__('messages.print')}}</button>
                        </div>
                        <div class="col-6">
                            <button class="mt-1 btn bg-primary text-white w-100 submit_btn">{{__('messages.submit')}}</button>
                        </div>
                        <div class="col-6 ">
                            <button class="mt-1 btn bg-success text-white w-100 close_btn" data-invoices_href="{{route('all_invoices')}}" @if(isset($order)) data-order_id ="{{$order->id}}"@endif>{{__('messages.close')}}</button>
                        </div>
                    </div>
                </div>
                {{--  end buttons   --}}

            </div>

        </div>
    </div>
</div>


@endsection

@section('script')
<script>
        var timer = null;
        $('#barcode').keydown(function(){
            clearTimeout(timer);
            timer = setTimeout(Get_Product_By_Barcode, 1000)
        });

        function Get_Product_By_Barcode() {
            $.ajax({
                method:'get',
                data:{'barcode':$('#barcode').val()},
                url:base_url+'dashboard/get_products',
                success: function (data) {
                    if(language == 'en'){
                        var product_name = data['products'].name_en
                    }else{
                        var product_name = data['products'].name_ar
                    }
                    if(data['products'].discount == null){
                        var produ_discount = 0;
                    }else{
                        var produ_discount = data['products'].discount;
                    }
                   // alert(produ_discount)
                    get_product(data['products'].id,produ_discount,product_name,data['products'].selling_price,data['category'].discount)
                    $('#barcode').val('')
                }
            })
        }
        var product_ids = [<?php if (isset($order) && count($order->products)>0) {
            foreach ($order->products as $product) {
                echo $product->id .",";
            }
        }?>],
        language = '<?php echo app()->getLocale()?>';

        // ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
        // global variables
        var setting_tax             = $('#setting_tax').val(),
            with_tax                = $('#setting_tax').data('with_tax'),
            global_product_id       = 0,
            qty_change_status       = '',
            total_dis               = 0.0;
        // function to increase or decrease product quantity
        $(document).ready(function(){
            function wcqib_refresh_quantity_increments() {
                jQuery("div.quantity:not(.buttons_added), td.quantity:not(.buttons_added)").each(function(a, b) {
                    var c = jQuery(b);
                    c.addClass("buttons_added"), c.children().first().before('<input type="button" value="-" class="minus" />'), c.children().last().after('<input type="button" value="+" class="plus" />')
                })
            }
            String.prototype.getDecimals || (String.prototype.getDecimals = function() {
                var a = this,
                    b = ("" + a).match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);
                return b ? Math.max(0, (b[1] ? b[1].length : 0) - (b[2] ? +b[2] : 0)) : 0
            }), jQuery(document).ready(function() {
                wcqib_refresh_quantity_increments()
            }), jQuery(document).on("updated_wc_div", function() {
                wcqib_refresh_quantity_increments()
            }), jQuery(document).on("click", ".plus, .minus", function() {
                global_product_id = $(this).data('product_id');
                if(jQuery(this).is(".plus")){
                    qty_change_status = 'plus';
                }else{
                    qty_change_status = 'minus';
                }
                var a = jQuery(this).closest(".quantity").find(".qty"),
                    b = parseFloat(a.val()),
                    c = parseFloat(a.attr("max")),
                    d = parseFloat(a.attr("min")),
                    e = a.attr("step");
                b && "" !== b && "NaN" !== b || (b = 0), "" !== c && "NaN" !== c || (c = ""), "" !== d && "NaN" !== d || (d = 0), "any" !== e && "" !== e && void 0 !== e && "NaN" !== parseFloat(e) || (e = 1), jQuery(this).is(".plus") ? c && b >= c ? a.val(c) : a.val((b + parseFloat(e)).toFixed(e.getDecimals())) : d && b <= d ? a.val(d) : b > 0 && a.val((b - parseFloat(e)).toFixed(e.getDecimals())), a.trigger("change")
            });
        })


        // -----------------------------------------------------------------------------------------------------------
        // function to get all products for specific catergory when select this category
        function get_cat_products(cat_id){
            var producst                = '';
            $.ajax({
                method:'get',
                data:{'cat_id':cat_id},
                url:base_url+'dashboard/get_products',
                success: function (data) {
                    $.each(data['products'],function(data_k,data_v){
                        if(language == 'en'){
                            var product_name = data_v.name_en
                        }else{
                            var product_name = data_v.name_ar
                        }
                        if(data_v.image != null){
                            var url = ''+image_url+'images/'+data_v.image + '';
                        }else{
                            var url = ""+image_url+"images/<?=$settings->logo?>";
                        }
                        //console.log(url)
                        producst += `
                                        <div class="col-md-4">
                                            <div class="card add_product mb-4" id="product_`+data_v.id+`" data-product_id="`+data_v.id+`" data-pro_discount="`+data_v.discount+`" onClick="get_product('`+data_v.id+`','`+data_v.discount+`','`+product_name+`','`+data_v.selling_price+`','`+data['category']['discount']+`')">
                                                <img src=`+url+` class="card-img-top" alt="..." style="width:100% !important;max-height:100px !important;height:100px!important">
                                                <div class="card-body" style="padding:10px 5px !important">
                                                    <h5 class="card-title text-center font-weight-bolder" id="pro_name_`+data_v.id+`" style="font-size:12px !important">
                                                    `+product_name+`
                                                    </h5>
                                                    <button type='button' class="btn btn-primary w-100" id="pro_price_`+data_v.id+`">`+data_v.selling_price+`</button>
                                                </div>
                                            </div>
                                        </div>
                                    `
                        $('#products').children().remove();
                        $('#products').append(producst);
                    })// end for each products
                }//end success function
            })//end ajax function
        }

        // function to add specific product to order
        function get_product(product_id,product_discount,product_name,product_price,category_discount){
            var total_dis_persintage    = 0,
                //total_dis               = 0.0,
                tr_table                = '';
            total_dis                   = 0.0,
            total_pro_dis               = 0.0;
            if(category_discount !=0){
                total_dis_persintage +=parseInt(category_discount)
            }
            if(product_discount != 0 ){
                total_dis_persintage += parseInt(product_discount);
            }

            // calculate all discount
            total_dis += parseFloat(product_price) * (total_dis_persintage /100)

            //if product added to order previous time
            if(jQuery.inArray(parseInt(product_id),product_ids) !== -1){
                product_qty = parseInt($('#pro_'+product_id+'_qty').val()) +1;
                total_pro_dis   += total_dis * product_qty;

                $('#pro_'+product_id+'_qty').val(product_qty)
                if(with_tax){
                    pro_price    = parseFloat(parseFloat(product_price) * (100 / (100 + parseInt(setting_tax)))) ;
                    pro_total    = parseFloat(product_qty * pro_price);
                    $('#pro_'+product_id+'_total').val(pro_total);

                }else{
                     vat_amount       = (parseFloat(product_price) * parseInt(setting_tax))/100
                     pro_price        = parseFloat(product_price) + vat_amount;
                     pro_total        = parseFloat(product_qty * pro_price);
                     $('#pro_'+product_id+'_total').val(parseFloat(product_qty * (parseFloat(product_price) + vat_amount)));
                }

               // $('#del_item_'+product_id).attr('data-product_dis',total_pro_dis.toFixed(2))

             }else{
                 // if select product for first time
                product_ids.push(parseInt(product_id));
                $('#product_id').val(product_ids)
                $('#del_item_'+product_id).data('data-product_dis',total_dis.toFixed(2))
                total_pro_dis   += total_dis * 1;
                console.log(product_ids)
                if(with_tax){
                     pro_price    = parseFloat((parseFloat(product_price) * 100 ) / (100 + parseInt(setting_tax))) ;
                     pro_total    = parseFloat(1 * pro_price ,2);
                     $('#pro_'+product_id+'_total').val(pro_total);
                }else{
                     vat_amount       = (parseFloat(product_price) * parseInt(setting_tax))/100
                     pro_price        = parseFloat(product_price) + vat_amount;
                     pro_total        = parseFloat(1 * pro_price);
                }

                tr_table += `
                         <tr>
                             <td data-pro_id=`+product_id+`>`+product_name+`</td>
                             <td class="pro_price">`+product_price+`</td>
                             <td>
                                 <div class="quantity buttons_added">
                                     <input type="button" value="-" class="minus" data-product_id="`+product_id+`">
                                     <input  type="number" step="1" min="1" name="quantity[]"  id="pro_`+product_id+`_qty" value="1" title="Qty" class="input-text qty text" size="4" pattern="" inputmode=""  onchange="Calc_all_totals(1)" onkeyup="Calc_all_totals(1)" readonly>
                                     <input type="button" value="+" class="plus" data-product_id="`+product_id+`">
                                 </div>
                                 <input type='hidden' class="pro_total_price" id="pro_`+product_id+`_total" value="`+pro_total+`">
                             </td>
                             <td>
                                 <i class="fa fa-trash text-danger del_item" id="del_item_`+product_id+`" data-product_id="`+product_id+`" data-product_dis="`+total_dis.toFixed(2)+`"aria-hidden="true" style="cursor:pointer" onClick="Del_Item('`+product_id+`')"></i>
                             </td>
                         </tr>
                     `
                $('#ord_pro_table_body').append(tr_table);

            }

            // change discount input value
            var last_discount = $('#discount').val();
            if(last_discount != 0){
                var discount_amount = parseFloat(last_discount)+ total_dis
            }else{
                var discount_amount = total_dis
            }
            $('#discount').val(discount_amount.toFixed(2))

            // calculation all totals
            Calc_all_totals(0);


        }

        // function to recalculation in edit page
        function Edit_Calc_all_totals(product_discount,category_discount,product_price){
            var total_dis_per = parseInt(product_discount) + parseInt(category_discount);
                total_dis     = parseFloat(product_price) * (total_dis_per /100);
            Calc_all_totals(1)
        }

        function Edit_calc_product_discount(status , product_dis,product_id){
            alert(product_dis);
        }
        // function to calculate all totals
        function Calc_all_totals(status){
            if(status != 0){
                var last_discount =$('#discount').val();
                if(qty_change_status == 'plus'){
                    if(last_discount != 0){
                        var discount_amount = parseFloat(last_discount)+ parseFloat(total_dis)
                    }else{
                        var discount_amount = parseFloat(total_dis)
                    }
                }else if(qty_change_status == 'minus'){
                    if(last_discount != 0){
                        var discount_amount = parseFloat(last_discount)- parseFloat(total_dis)
                    }else{
                        var discount_amount = parseFloat(total_dis)
                    }
                }
                $('#discount').val(discount_amount.toFixed(2))
            }
            if(with_tax){
                var sub_total = 0.00,
                    sub_total_a_dis = 0.00,
                    tax = 0.00,
                    tax_a_dis       = 0.00
                    total           = 0.00;
                $('.pro_price').each(function(){
                    var pro_qty     = $(this).next().children().children('.qty').val();
                    total           += parseFloat($(this).text())* parseFloat(pro_qty);

                    $('#total').val(Number((parseFloat(total).toFixed(3).toString()).slice(0, (parseFloat(total).toFixed(3).toString().indexOf(".")) + 2 + 1)));
                    // check if quantity = 1 disabled minus button from click
                    if(pro_qty == 1){
                        $(this).next().children().children('.minus').prop('disabled', true);
                    }else{
                        $(this).next().children().children('.minus').prop('disabled', false);
                    }
                })
                sub_total       = parseFloat($('#total').val()) * (100 /(100 + parseFloat(setting_tax)));
                console.log(parseFloat(sub_total).toFixed(4))
                var total_vat   = parseFloat(total - sub_total).toFixed(2);
                $('#sub_total').val(sub_total.toFixed(2));
                $('#tax').val(total_vat);

                // function to calc sub_total and tax after
                Calc_totals_after_dis(total,setting_tax,with_tax);


            }else{
                var sub_total = 0.00,
                    sub_total_a_dis = 0.00,
                    tax = 0.00,
                    tax_a_dis       = 0.00
                // total           = parseFloat($('#total').val()) - parseFloat($('#discount').val());
                    total           = 0.00;
                $('.pro_price').each(function(){
                    var pro_qty     = $(this).next().children().children('.qty').val();
                    sub_total       += parseFloat($(this).text())* parseFloat(pro_qty);
                    var total_vat   = sub_total * parseFloat(setting_tax) / 100;
                    total           = sub_total + total_vat ;
                    $('#sub_total').val(sub_total.toFixed(2));
                    $('#total').val(parseFloat(total).toFixed(2));
                    $('#tax').val(total_vat);

                    // check if quantity = 1 disabled minus button from click
                    if(pro_qty == 1){
                        $(this).next().children().children('.minus').prop('disabled', true);
                    }else{
                        $(this).next().children().children('.minus').prop('disabled', false);
                    }
                })
                Calc_totals_after_dis(total,setting_tax,with_tax);
            }
        }

        function Calc_totals_after_dis(total,setting_tax,with_tax){
            if(with_tax){
                sub_total_a_dis = (total - parseFloat($('#discount').val())) * (100/(100 + parseFloat(setting_tax)));
                $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2))
                tax_a_dis       = (total - parseFloat($('#discount').val())) - sub_total_a_dis ;
                $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                $('#total').val(sub_total_a_dis+tax_a_dis);
            }else{
                var dis         = $('#discount').val();
                sub_total_a_dis = parseFloat($('#sub_total').val()) - parseFloat(dis);
                tax_a_dis       = sub_total_a_dis * (parseFloat(setting_tax) / 100);
                var total_a_dis = parseFloat(sub_total_a_dis.toFixed(2))+parseFloat(tax_a_dis.toFixed(2))
                $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2));
                $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                $('#total').val(Number((parseFloat(total_a_dis).toFixed(3).toString()).slice(0, (parseFloat(Number((parseFloat(total).toFixed(3).toString()).slice(0, (parseFloat(total).toFixed(3).toString().indexOf(".")) + 2 + 1))).toFixed(3).toString().indexOf(".")) + 2 + 1)));
            }
        }

        // when change discount value manula
        $('#discount').on('keyup',function(){
            var discount        = $(this).val(),
                sub_total       = $('#sub_total').val(),
                sub_total_a_dis = 0.00,
                tax             = $('#tax').val(),
                tax_a_dis       = 0.00,
                total           = $('#total').val();
            if(with_tax){
                sub_total_a_dis = (total - parseFloat($('#discount').val())) * (100/(100 + parseFloat(setting_tax)));
                $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2))
                tax_a_dis       = (total - parseFloat($('#discount').val())) - sub_total_a_dis ;
                $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                $('#total').val(sub_total_a_dis+tax_a_dis)

            }else{
                sub_total_a_dis = parseFloat($('#sub_total').val()) - parseFloat(discount);
                tax_a_dis       = sub_total_a_dis * (parseFloat(setting_tax) / 100);
                $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2));
                $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                $('#total').val(parseFloat(sub_total_a_dis.toFixed(2))+parseFloat(tax_a_dis.toFixed(2)));
            }

        })

        // when delete product
        function Del_Item(pro_id){

            var elm             = $('#del_item_'+pro_id),
                product_dis     = $('#del_item_'+pro_id).data('product_dis') * $('#pro_'+pro_id+'_qty').val();
                product_ids     = jQuery.grep(product_ids, function(value) {
                                        return value != pro_id;
                                    });
                $('#product_id').val(product_ids)

             //   alert(product_dis)
                elm.parent().parent().remove()
                // recalculation
                if(product_ids.length != 0){
                    if(with_tax){
                        var sub_total = 0.00,
                            sub_total_a_dis = 0.00,
                            tax = 0.00,
                            tax_a_dis       = 0.00
                            // total           = parseFloat($('#total').val()) - parseFloat($('#discount').val());
                            total           = 0.00;
                        $('.pro_price').each(function(){
                            var pro_qty     = $(this).next().children().children('.qty').val();
                            total           += parseFloat($(this).text())* parseFloat(pro_qty);

                            $('#total').val(Number((parseFloat(total).toFixed(3).toString()).slice(0, (parseFloat(total).toFixed(3).toString().indexOf(".")) + 2 + 1)));
                        })
                        sub_total       = parseFloat($('#total').val()) * (100 /(100 + parseFloat(setting_tax)));
                        console.log(parseFloat(sub_total).toFixed(2))
                        var total_vat   = parseFloat(total - sub_total).toFixed(2);
                        $('#sub_total').val(sub_total.toFixed(2));
                        $('#tax').val(total_vat);

                        sub_total_a_dis = (total - (parseFloat($('#discount').val()) - parseFloat(product_dis))) * (100/(100 + parseFloat(setting_tax)));
                        $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2))
                        tax_a_dis       = (total - (parseFloat($('#discount').val()) - parseFloat(product_dis))) - sub_total_a_dis ;
                        $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                        $('#total').val(sub_total_a_dis+tax_a_dis)

                    }else{
                        var sub_total = 0.00,
                            sub_total_a_dis = 0.00,
                            tax = 0.00,
                            tax_a_dis       = 0.00
                            // total           = parseFloat($('#total').val()) - parseFloat($('#discount').val());
                            total           = 0.00;
                        $('.pro_price').each(function(){
                            var pro_qty     = $(this).next().children().children('.qty').val();
                            sub_total       += parseFloat($(this).text())* parseFloat(pro_qty);
                            var total_vat   = sub_total * parseFloat(setting_tax) / 100;
                            total           = sub_total + total_vat ;
                            $('#sub_total').val(sub_total.toFixed(2));
                            $('#total').val(parseFloat(total).toFixed(2));
                            $('#tax').val(total_vat);
                        })

                        // recalculation
                        var dis         = parseFloat($('#discount').val()) - parseFloat(product_dis);
                        sub_total_a_dis = parseFloat($('#sub_total').val()) - parseFloat(dis);
                        tax_a_dis       = sub_total_a_dis * (parseFloat(setting_tax) / 100);
                        var total_a_dis = parseFloat(sub_total_a_dis.toFixed(2))+parseFloat(tax_a_dis.toFixed(2))
                        $('#sub_total_a_dis').val(sub_total_a_dis.toFixed(2));
                        $('#tax_a_dis').val(tax_a_dis.toFixed(2));
                        $('#total').val(Number((parseFloat(total_a_dis).toFixed(3).toString()).slice(0, (parseFloat(Number((parseFloat(total).toFixed(3).toString()).slice(0, (parseFloat(total).toFixed(3).toString().indexOf(".")) + 2 + 1))).toFixed(3).toString().indexOf(".")) + 2 + 1)));
                    }
                    $('#discount').val((parseFloat($('#discount').val()) - parseFloat(product_dis)).toFixed(2))
                }else{
                    $('#total').val(0)
                    $('#sub_total').val(0);
                    $('#sub_total_a_dis').val(0);
                    $('#tax').val(0);
                    $('#tax_a_dis').val(0);
                    $('#discount').val(0);
                }
        }

        // add new order


        //Calc_all_totals(0)

        // start submit
        $('.submit_btn').on('click',function(){
            var elm = $(this);
            elm.prop('disabled', true);
            var quantity        = [],
                pro_total_dis   = [];
            $('input[name="quantity[]"]').each(function(){
                quantity.push($(this).val())
            })
            var obj={
                    "order_id"          : $('#order_id').val(),
                    "products"          : $('#product_id').val(),
                    "quantity"          : quantity,
                    "product_dis"       : pro_total_dis,
                    "sub_total"         : $('#sub_total').val(),
                    "sub_total_a_dis"   : $('#sub_total_a_dis').val(),
                    "tax"               : $('#tax').val(),
                    "tax_a_dis"         : $('#tax_a_dis').val(),
                    "discount"          : $('#discount').val(),
                    "total"             : $('#total').val(),
                    "order_type"        : $('#order_type').val(),
                    "customer"          : $('#customer').val(),
                    "waiter_name"       : $('#waiter_name').val(),
                    "table_num"         : $('#table_num').val(),
                    "payment_type"      : $('#payment_type').val(),
            }
            $('.del_item').each(function(){
                pro_total_dis.push($(this).data('product_dis'))
            })
            $.ajax({
                method:'post',
                data: {
                    "order_id"          : $('#order_id').val(),
                    "products"          : $('#product_id').val(),
                    "quantity"          : quantity,
                    "product_dis"       : pro_total_dis,
                    "sub_total"         : $('#sub_total').val(),
                    "sub_total_a_dis"   : $('#sub_total_a_dis').val(),
                    "tax"               : $('#tax').val(),
                    "tax_a_dis"         : $('#tax_a_dis').val(),
                    "discount"          : $('#discount').val(),
                    "total"             : $('#total').val(),
                    "order_type"        : $('#order_type').val(),
                    "customer"          : $('#customer').val(),
                    "waiter_name"       : $('#waiter_name').val(),
                    "table_num"         : $('#table_num').val(),
                    "payment_type"      : $('#payment_type').val(),
                    _token              : $('meta[name="csrf-token"]').attr('content')
                },
                url:base_url+'dashboard/insert_update_order',
                //url:'insert_update_order',
                success: function (data) {
                    console.log(data);
                    if(data.order.table_num != null){
                        var table_number = data.order.table_num;
                    }else{
                        var table_number = '';
                    }
                    if(data.order.customer_name != null){
                        var customer_name = data.order.customer_name;
                    }else{
                        var customer_name = '';
                    }
                    var new_order   = `
                                        <div class="col-md-4 mb-2 p-0" id="get_order_`+data.order.id+`" data-order_id="`+data.order.id+`" onclick="Get_Order('`+data.order.id+`',1)" style="cursor:pointer">
                                            <div class="col-md-12">
                                                <div class="card">
                                                    <div class="card-body">
                                                        <h5 class="card-title text-center">order `+data.order.id+` </h5>
                                                        <h6 class="text-primary">Table: `+table_number+`</h6>
                                                        <h6 class="text-primary">customer:  `+customer_name+`</h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                      `
                    $('#orders').append(new_order);

                    $('.close_btn').attr('data-order_id',data.last_order_id);
                    //$('.cancel_pos_btn').attr('data-order_id',data.last_order_id);
                    $('.print_btn').attr('data-order_id',data.last_order_id);


                    //var new_order   = parseInt($('.order_num').text().substring($('.order_num').text().indexOf('#') + 1))+1;
                    var new_order     = parseInt(data.last_order_id);
                    switch(new_order.toString().length){
                        case(1):
                            var new_order_str = '00000'+ new_order;
                            break;
                        case(2):
                            var new_order_str = '0000'+ new_order;
                            break;
                        case(3):
                            var new_order_str = '000'+ new_order;
                            break;
                        case(4):
                            var new_order_str = '00'+ new_order;
                            break;
                        case(6):
                            var new_order_str = '0'+ new_order;
                            break;
                        default:
                            var new_order_str = new_order;
                            break;
                    }

                    product_ids = [];
                    $('.order_num').text('order#'+new_order_str);
                    $('#new_order').data('new_order_id',new_order_str);
                    //$('#order_id').val(new_order);
                    $('#product_id').val('');
                    $('#ord_pro_table_body').children().remove();
                    $('#sub_total').val('');
                    $('#sub_total_a_dis').val('');
                    $('#tax').val('');
                    $('#tax_a_dis').val('');
                    $('#discount').val('');
                    $('#total').val('');
                    $('#order_type option.o_1').attr("selected", "selected").prop('disabled',false)
                    $("#order_type option:selected").prop("selected", false)
                    $('#payment_type option.p_1').attr("selected", "selected").prop('disabled',false)
                    $('#payment_type option:selected').prop("selected", false)
                    $('#customer').val('')
                    $('#waiter_name').val('')
                    $('#table_num').val('')
                    $('#products').children().remove();



                    console.log(product_ids);


                   // alert(data.order.id)
                    Get_Order(data.order.id,0);
                    elm.prop('disabled', false);
                }
            });
        })

        $('#new_order').on('click',function(){
            if($(this).data('new_order_id') != undefined){
                var new_order   =  $(this).data('new_order_id');
            }else{
                var new_order   = <?php
                                        if(isset($order)){
                                            echo (int)$last_num_order;
                                        }else{
                                            echo (int)$last_order_id;
                                        }
                                    ?>;
            }

            switch(new_order.toString().length){
                case(1):
                    var new_order_str = '00000'+ new_order;
                    break;
                case(2):
                    var new_order_str = '0000'+ new_order;
                    break;
                case(3):
                    var new_order_str = '000'+ new_order;
                    break;
                case(4):
                    var new_order_str = '00'+ new_order;
                    break;
                case(6):
                    var new_order_str = '0'+ new_order;
                    break;
                default:
                    var new_order_str = new_order;
                    break;
            }
            product_ids = [];
            $('.order_num').text('order#'+new_order_str)
            //if (window.location.href.indexOf("add_order") > -1) {
            //    $('#order_id').val(new_order)
            //}else{
            //    $('#order_id').val('')
            //}
            $('#order_id').val('')
            $('#product_id').val('');
            $('#ord_pro_table_body').children().remove();
            $('#sub_total').val('');
            $('#sub_total_a_dis').val('');
            $('#tax').val('');
            $('#tax_a_dis').val('');
            $('#discount').val('');
            $('#total').val('');
            $('#order_type option.o_1').attr("selected", "selected").prop('disabled',true)
            $("#order_type option:selected").prop("selected", false)
            $('#payment_type option.p_1').attr("selected", "selected").prop('disabled',true)
            $('#payment_type option:selected').prop("selected", false)
            $('#customer').val('')
            $('#waiter_name').val('')
            $('#table_num').val('')
            $('#products').children().remove();
            if (window.location.href.indexOf("edit_order") > -1) {
                $('.close_btn').attr('data-order_id',0);
            }

            $('.submit_btn').prop('disabled',false);
            Calc_all_totals(0)
        })

        $('.cancel_pos_btn').on('click',function(){
            var order_id = $(this).attr('data-order_id');
            if(order_id != undefined){
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, cancel it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            data:{'id':order_id},
                            url:base_url+'dashboard/cancel_order',
                            success: function (data) {
                                Swal.fire({
                                    title: 'Canceled',
                                    text: "your order # "+order_id+" has been canceled!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    //timer:1000
                                })
                                 // window.location.href = base_url + 'dashboard/orders';
                                location.reload();
                            }
                        });
                    }
                })
            }else{
                window.location.href   = base_url + 'dashboard/orders';
                //window.location.href = base_url + '/dashboard/orders';
            }
        })

        $('.close_btn').on('click',function(){
            $(this).attr('disabled', 'disabled')
            //var order_id = $(this).data('order_id');
            var order_id = $(this).attr('data-order_id');

            //alert(order_id)
            var quantity = [];
            $('input[name="quantity[]"]').each(function(){
                quantity.push($(this).val())
            })
            if(order_id == undefined){
                order_id = 0;
            }
            var obj = {
                "order_id"          : order_id,
                "products"          : $('#product_id').val(),
                "quantity"          : quantity,
                "sub_total"         : $('#sub_total').val(),
                "sub_total_a_dis"   : $('#sub_total_a_dis').val(),
                "tax"               : $('#tax').val(),
                "tax_a_dis"         : $('#tax_a_dis').val(),
                "discount"          : $('#discount').val(),
                "total"             : $('#total').val(),
                "order_type"        : $('#order_type').val(),
                "customer"          : $('#customer').val(),
                "waiter_name"       : $('#waiter_name').val(),
                "table_num"         : $('#table_num').val(),
                "payment_type"      : $('#payment_type').val(),

            }

            $.ajax({
                method:'get',
                data:{
                    "order_id"          : order_id,
                    "products"          : $('#product_id').val(),
                    "quantity"          : quantity,
                    "sub_total"         : $('#sub_total').val(),
                    "sub_total_a_dis"   : $('#sub_total_a_dis').val(),
                    "tax"               : $('#tax').val(),
                    "tax_a_dis"         : $('#tax_a_dis').val(),
                    "discount"          : $('#discount').val(),
                    "total"             : $('#total').val(),
                    "order_type"        : $('#order_type').val(),
                    "customer"          : $('#customer').val(),
                    "waiter_name"       : $('#waiter_name').val(),
                    "table_num"         : $('#table_num').val(),
                    "payment_type"      : $('#payment_type').val(),
                },
                url:base_url+'dashboard/close_order',
                //url:'http://localhost:8080/kuppitek/public/index.php/dashboard/close_order',
                success: function (data) {
                    console.log(data)
                    Swal.fire({
                        title: 'Closed',
                        text: "your order # "+order_id+" has been closed!",
                        type: 'success',
                        confirmButtonColor: '#35fd80',
                        showConfirmButton:false,
                        confirmButtonText: 'OK',
                        timer:1000
                    })

                    //window.location.replace($(this).data('invoices_href'))
                    //https://demo3.kuppitek.com/dashboard/print_invoice/6
                    //window.location.href = base_url+'dashboard/print_invoice/'+order_id;
                    window.open(base_url+'dashboard/print_invoice/'+data.id, '_blank');
                    var href=base_url+'dashboard/print_invoice/'+order_id;
                    if (window.location.href.indexOf("add_order") > -1) {
                        //var objWindow = window.open(location.href, "_self");
                        location.reload();
                    }
                }
            });


        })

        $('.print_btn').on('click',function(){
            var order_id    = $('.print_btn').attr('data-order_id');
            if(order_id != undefined){
                //window.open(base_url+"dashboard/print_order/"+order_id).print();
                window.open(base_url+"dashboard/print_order/"+order_id);
                //window.location.href=;
            }else{
                Swal.fire({
                    title: 'Please submit order then print it ^_^',
                    type: 'error',
                    showCancelButton: false,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'OK'
                })
            };
            //window.location.href=base_url+"/print_order/"+$('#order_id').val();
        })

        // function to get specific order information
        function Get_Order(order_id,status){
            if(status){
                $('#get_order_'+order_id).remove()
                var tr_table        = '',
                    order_products  = [];
                $.ajax({
                    method:'get',
                    data:{'id':order_id},
                    url:base_url+'dashboard/get_order',
                    success: function (data) {
                        console.log(data);
                        $.each(data.products,function(data_k,data_v){
                            order_products.push(data_v.id)
                            tr_table += `

                                        <tr>
                                            <td>`+data_v.name_en+`</td>
                                            <td class="pro_price">`+data_v.selling_price+`</td>
                                            <td>
                                                <div class="quantity buttons_added">
                                                    <input type="button" value="-" class="minus" data-product_id="`+data_v.id+`">
                                                    <input  type="number" step="1" min="1" name="quantity[]"  id="pro_`+data_v.id+`_qty" value="`+data_v.pivot.quantity+`" title="Qty" class="input-text qty text" size="4" pattern="" inputmode=""  onchange="Calc_all_totals(1)" onkeyup="Calc_all_totals(1)" readonly>
                                                    <input type="button" value="+" class="plus" data-product_id="`+data_v.id+`">
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-trash text-danger del_item" id="del_item_`+data_v.id+`" data-product_id="`+data_v.id+`" data-product_dis="`+data_v['pivot']['product_dis']+`"aria-hidden="true" style="cursor:pointer" onClick="Del_Item('`+data_v.id+`')"></i>
                                            </td>
                                        </tr>
                                    `;


                            switch(data.order.id.toString().length){
                                    case(1):
                                        var new_order_str = '00000'+ data.order.id;
                                        break;
                                    case(2):
                                        var new_order_str = '0000'+ data.order.id;
                                        break;
                                    case(3):
                                        var new_order_str = '000'+ data.order.id;
                                        break;
                                    case(4):
                                        var new_order_str = '00'+ data.order.id;
                                        break;
                                    case(6):
                                        var new_order_str = '0'+ data.order.id;
                                        break;
                                    default:
                                        var new_order_str = new_order;
                                        break;
                                }


                            product_ids = order_products;
                            $('.order_num').text('order #'+new_order_str)
                            $('#order_id').val(data.order.id)
                            $('#product_id').val(order_products);
                            $('#ord_pro_table_body').children().remove();
                            $('#products').children().remove();
                            //$('.order_num').text('order #'+new_order_str)
                            $('.table_num').text('table #'+data.order.table_num)
                            $('#ord_pro_table_body').append(tr_table);
                            $('#sub_total').val(data.order.sub_total);
                            $('#sub_total_a_dis').val(data.order.sub_total_a_dis);
                            $('#tax').val(data.order.tax);
                            $('#tax_a_dis').val(data.order.tax_a_dis);
                            $('#discount').val(data.order.discount);
                            $('#total').val(data.order.total);
                            $('#order_type option[value="'+data.order.order_type+'"]').attr("selected", "selected")
                            $('#payment_type option[value="'+data.order.payment_type+'"]').attr("selected", "selected")
                            $('#customer').val(data.order.customer_name)
                            $('#waiter_name').val(data.order.waiter_name)
                            $('#table_num').val(data.order.table_num)
                            $('.close_btn').attr('data-order_id',data.order.id);
                            $('.cancel_pos_btn').attr('data-order_id',data.order.id);
                            $('.print_btn').attr('data-order_id',data.order.id);

                            $('.submit_btn').prop('disabled',false);
                        })
                    }
                });
            }
        }

        function realTime() {
            var exi_id = $('#order_id').val();
            if(exi_id.length == 0){
                exi_id = 0
            }
            $.ajax({
                method:'get',
                url:base_url + 'dashboard/opening_orders/'+exi_id,
                success: function (data) {
                    console.log(data.opening_orders)
                    var new_order = ''
                    $.each(data.opening_orders,function(dk,data_v){
                        console.log(data_v.id)
                        new_order   += `
                                                <div class="col-md-4 mb-2 p-0" id="get_order_`+data_v.id+`" data-order_id="`+data_v.id+`" onclick="Get_Order('`+data_v.id+`',1)" style="cursor:pointer">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title text-center">order `+data_v.id+` </h5>
                                                                <h6 class="text-primary">Table: `+data_v.table_num+`</h6>
                                                                <h6 class="text-primary">customer:  `+data_v.customer_name+`</h6>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                              `

                        Get_Order(data_v.id,1);
                    })
                    $('#orders').children().remove();
                    $('#orders').append(new_order);
                }
            });
        }

        //setInterval(realTime,10000);
</script>



@endsection
