@extends('layouts.app')
@section('title')
@php
    $language = app()->getLocale()
@endphp
@if ($language == 'ar')
    المنتجات
@else
    Products
@endif
@endsection
<?php $user = auth()->user();
$language = app()->getLocale();
if ($language == 'en')
    $lang='ar';
else
    $lang='en';
?>
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            @include('flash::message')
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.products') }}</h5>
                {{--  <a href="{{ route('uploadFile') }}" class="btn btn-success">
                    <i class='fas fa-file-import text-white'></i>
                </a>  --}}
                <a style="text-decoration: none;" href="{{ route('products.create') }}" class="bg-blue text-white p-2 border-round fw-bold">{{ __('messages.add_product') }}</a>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                    <tr class="darkblue">
                        {{--  <th>#</th>  --}}
                        <th>{{ __('messages.name_en') }}</th>
                        <th>{{ __('messages.name_ar') }}</th>
                        <th>{{ __('messages.code') }}</th>
                        <th>{{ __('messages.cat') }}</th>
                        <th>{{ __('messages.pos') }}</th>
                        <th>{{ __('messages.action') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @php
                        if(count($categories)>0){
                            $counter= count($categories)+1;
                        }else{
                            $counter=1;
                        }
                    @endphp
                    @foreach($products as $product)
                        <tr>
                        {{--  <td>
                            {{$counter }}
                            </td>  --}}
                            <td>{{ $product->name_en}}</td>
                            <td>{{ $product->name_ar}}</td>
                            <td>{{ $product->code}}</td>

                            <td>
                                @if ($language == 'ar')
                                    @if (!is_null($product->category))
                                        {{$product->category->name_ar}}

                                    @endif
                                @else
                                    @if (!is_null($product->category))
                                        {{$product->category->name_en}}

                                    @endif
                                @endif
                            </td>
                            <td>
                            @if (  $product->pos ==1 )
                            @if ($language == 'ar')
                                        نعم
                                    @else
                                        yes
                                    @endif
                                @else
                                @if ($language == 'ar')
                                        لا
                                    @else
                                        no
                                        @endif
                                @endif

                            </td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ route('products.edit', ['product'=>$product->id]) }}"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="{{ route('products.show', $product->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>

                                    <a href="{{route('delete_product', ['id'=>$product->id])}}" class="del_product"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                                </div>
                            </td>
                        </tr>
                        @php
                            $counter--;
                        @endphp

                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
<script>
    excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
    console.log(excel);

</script>
<script src="{{ asset('assets/js/datatable.min.js') }}"></script>


@endsection

@section('script')
<script>
     $(document).ready(function(){
        $('.del_product').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                if(data.status){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: "your Product has been deleted!",
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    }).then(function() {
                                        location.reload();
                                      })
                                }else{
                                    Swal.fire({
                                        title: data.msg,
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'حسناً',
                                        timer:2000
                                    }).then(function() {
                                        location.reload();
                                      })
                                }
                            }
                        });
                    }
                })
            })
        })
    })
</script>
@endsection

