@extends('layouts.app')
@section('title')
    show product
@endsection
@section('content')
    @if (count($errors) > 0)
        <div class="alert alert-danger" role="alert">
            @foreach ($errors->all() as $error)
                {{ $error }}<br>
            @endforeach
        </div>
    @endif
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body"><h5 class="card-title">{{ __('messages.show_product') }}</h5>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="name_en" class="">{{ __('messages.name_en') }}</label>
                            <input type="text" name="name_en" id="name_en" placeholder="Name in English" class="form-control" value="{{$product->name_en}}" readonly>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="name_ar" class="">{{ __('messages.name_ar') }}</label>
                            <input type="text" name="name_ar" id="name_ar" placeholder="Name in Arablic" class="form-control" value="{{$product->name_ar}}" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="code" class="">{{ __('messages.code') }}</label>
                            <input type="text" name="code" id="code" placeholder="e.g: t12" class="form-control" value="{{$product->code}}" readonly >
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="cost_price" class="">{{ __('messages.cost_price') }}</label>
                            <input name="cost_price" id="cost_price" placeholder="e.g: 10" class="form-control" type="number" value="{{$product->cost_price}}" readonly step="0.001">
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="selling_price" class="">{{ __('messages.selling_price') }}</label>
                            <input type="number" name="selling_price" id="selling_price" placeholder="e.g: 12" class="form-control" value="{{$product->selling_price}}" readonly step="0.001">
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="category_id" class="">{{ __('messages.cat') }}</label>
                            <input name="category_id" id="category_id" placeholder="category" class="form-control" value="{{$product->category['name_en']}}" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="discount" class="">{{ __('messages.discount') }}</label>
                            <input type="number" name="discount" id="discount" placeholder="e.g: 15" class="form-control" value="{{$product->discount}}" readonly>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="digital_menu">{{ __('messages.digitalMenu') }}</label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu" name="digital_menu" <?php if($product->digital_menu ==1){echo 'checked';}?> disabled >
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="pos">{{ __('messages.pos') }}</label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos" name="pos" <?php if($product->pos ==1){echo 'checked';}?> disabled>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="image" class="">{{ __('messages.image') }}</label>
                            <div>
                                @if(!is_null($product->image))
                                    <img id="show_img" class="img-fit" src="{{asset('/images/'.$product->image)}}">
                                @endif
                            </div>
                           </div>
                    </div>

                <div class="row">
                    <div class="col-md-12">
                        <table class=" table table-bordered table-responsive-lg">
                            <thead>
                            <tr>
                                <th scope="col" >{{ __('messages.item_en') }}</th>
                                <th scope="col">{{ __('messages.item_ar') }}</th>
                                <th scope="col">{{ __('messages.measurement') }}</th>
                                <th scope="col">{{ __('messages.unit') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($product->items as $item)
                                <tr>
                                    <td>{{ $item['name_en']}}</td>
                                    <td>{{ $item['name_ar']}}</td>
                                    <td>{{ $item['pivot']['mesurment']}}</td>
                                    <td>{{$item['unit']}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>


                    </div>
                </div>
                    <a href="{{route('products.index')}}"  class="mt-1 btn btn-primary">{{ __('messages.back') }}</a>

            </div>
        </div>
    </div>
@endsection
