@extends('layouts.app')
@section('title')
Preview Purchase
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
    {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.show_purchase') }}</h5>
            <form  method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.invoice') }}</label>
                        <input name="invoice" id="invoice" placeholder="{{ __('messages.invoice') }}" class="form-control" value="{{ $purchase->invoice_number }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="image" class="">{{ __('messages.image') }}</label>
                        <!--<input type="file" name="image" id="image" class="form-control" onchange="putImage()"accept="image/*" />-->
                        @if(!is_null($purchase->image))
                            <img id="show_img" class="img-fit" src="{{asset('/images/'.$purchase->image)}}">
                        @endif
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_date" class="">{{ __('messages.invoice_date') }}</label>
                        <input name="invoice_date" id="invoice_date" placeholder="{{ __('messages.invoice_date') }}" class="form-control" value="{{  \Carbon\Carbon::parse($purchase->invoice_date )->format('d-m-Y') }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_due_date" class="">{{ __('messages.invoice_due_date') }}</label>
                        <input name="invoice_due_date" id="invoice_due_date" placeholder="{{ __('messages.invoice_due_date') }}" class="form-control" value="{{  \Carbon\Carbon::parse($purchase->invoice_due_date )->format('d-m-Y') }}" readonly>
                    </div>

                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="supplier" class="">{{ __('messages.supplier') }}</label>
                        <input name="supplier" id="supplier" placeholder="{{ __('messages.choose') }} {{ __('messages.supplier') }}" class="form-control"  value="{{ $purchase->suppliers['name'] }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="payment_method" class="">{{ __('messages.payment_method') }}</label>
                        <input name="payment_method" id="payment_method" placeholder="{{ __('messages.payment_method') }}" class="form-control" value="{{ $purchase->payment_method }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="VAT_number" class="">{{ __('messages.vat_num') }}</label>
                        <input name="VAT_number" id="VAT_number" placeholder="{{ __('messages.vat_num') }}" class="form-control" value="{{ $purchase->suppliers['vat_number'] }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="paid_amount" class="">{{ __('messages.paid_amount') }}</label>
                        <input name="paid_amount" id="paid_amount" placeholder="{{ __('messages.paid_amount') }}" class="form-control" value="{{ $purchase->paid_amount }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="total_amount" class="">{{ __('messages.total_amount') }}</label>
                        <input name="total_amount" id="total_amount" placeholder="{{ __('messages.total_amount') }}" class="form-control" type="number" value="{{ $purchase->total_amount }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table class=" table table-bordered table-responsive-lg">
                            <thead>
                            <tr>
                                <th scope="col" >{{ __('messages.item_en') }}</th>
                                <th scope="col">{{ __('messages.item_ar') }}</th>
                                <th scope="col">{{ __('messages.quantity') }}</th>
                                <th scope="col">{{ __('messages.measurement') }}</th>
                                <th scope="col">{{ __('messages.unit') }}</th>
                                <th scope="col">{{ __('messages.expiry_date') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($purchase->items as $item)
                                <tr>
                                    <td>{{ $item['name_en']}}</td>
                                    <td>{{ $item['name_ar']}}</td>
                                    <td>{{ $item['pivot']['quantity']}}</td>
                                    <td>{{ $item['pivot']['mesurment']}}</td>
                                    <td>{{$item['unit']}}</td>
                                    <td>{{  \Carbon\Carbon::parse($item['pivot']['expire_date'] )->format('d-m-Y') }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>


                    </div>
                </div>
                <a href="#" class="mt-1 btn btn-primary back_btn">{{ __('messages.back') }}</a>
            </form>
        </div>
    </div>
</div>
@endsection
