@extends('layouts.app')
@section('title')
Preview Settings
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.settings') }}</h5>
            <form action="{{ route('settings.update',$settings->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                {{ method_field('PATCH') }}
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="company_name" class="">{{ __('messages.company_name') }}</label>
                        <input name="company_name" id="company_name" placeholder="{{ __('messages.company_name') }}" class="form-control" value="{{ $settings->company_name }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="coffee_name" class="">{{ __('messages.coffe_name') }}</label>
                        <input name="coffee_name" id="coffee_name" placeholder="{{ __('messages.coffe_name') }}" class="form-control"  value="{{ $settings->coffee_name }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class="">{{ __('messages.contactPerson') }}</label>
                        <input name="contact_person" id="contact_person" placeholder="{{ __('messages.contactPerson') }}" class="form-control" value="{{ $settings->contact_person }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class="">{{ __('messages.contactPersonEmail') }}</label>
                        <input name="contact_person_email" id="contact_person_email" placeholder="{{ __('messages.contactPersonEmail') }}" class="form-control" value="{{ $settings->contact_person_email }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class="">{{ __('messages.contactPersonNum') }}</label>
                        <input name="contact_person_phone" id="contact_person_phone" placeholder="{{ __('messages.contactPersonNum') }}" class="form-control" value="{{ $settings->contact_person_phone }}"@if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class="">{{ __('messages.country') }}</label>
                        <input name="country" id="country" placeholder="{{ __('messages.country') }}" class="form-control" value="{{ $settings->country }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class="">{{ __('messages.city') }}</label>
                        <input name="city" id="city" placeholder="{{ __('messages.city') }}" class="form-control" value="{{ $settings->city }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class="">{{ __('messages.address') }}</label>
                        <input name="address" id="address" placeholder="{{ __('messages.address') }}" class="form-control" value="{{ $settings->address }}" @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class="">{{ __('messages.reg_num') }}</label>
                        <input name="registeration_number" id="registeration_number" placeholder="{{ __('messages.reg_num') }}" class="form-control" value="{{ $settings->registeration_number }}"@if(Auth::user()->role->id != 1) readonly @endif >
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class="">{{ __('messages.vat_num') }}</label>
                        <input name="vat_number" id="vat_number" placeholder="{{ __('messages.vat_num') }}" class="form-control" value="{{ $settings->vat_number }}"@if(Auth::user()->role->id != 1) readonly @endif>
                    </div>

                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="tax" class="">{{ __('messages.tax') }}</label>
                            <input type="number" name="tax" id="tax" placeholder="e.g: 15" class="form-control" value="{{$settings->tax}}" step="0.001"@if(Auth::user()->role->id != 1) readonly @endif>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="included_vat">{{ __('messages.included_vat') }}</label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="included_vat" name="included_vat" <?php if($settings->with_tax == 1){echo 'checked';}?> @if(Auth::user()->role->id != 1) disabled @endif>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="excluded_vat">{{ __('messages.excluded_val') }}</label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="excluded_vat" name="excluded_vat" <?php if($settings->with_tax ==0){echo 'checked';}?> @if(Auth::user()->role->id != 1) disabled @endif>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="logo" class="">{{ __('messages.logo') }}</label>
                        <input type="file" id="logo" name="logo" class="form-control" accept="image/*" / @if(Auth::user()->role->id != 1) readonly @endif>
                    </div>
                    @if(!is_null($settings->logo))
                        <div class="position-relative form-group col-md-6">
                            <img id="show_img" class="img-fit" src="{{asset('/images/'.$settings->logo)}}">
                        </div>
                    @endif
                </div>
                @if(Auth::user()->role->id == 1)
                    <button class="mt-1 btn bg-darkblue text-white">Save</button>
                @endif
            </form>
        </div>
    </div>
</div>
@endsection

@section('script')
    <script>
        $(document).ready(function(){
            $('#included_vat').on('click',function(){
                if($('#excluded_vat').is(":checked")){
                    $('#excluded_vat').prop('checked',false)
                }
            })
            $('#excluded_vat').on('click',function(){
                if($('#included_vat').is(":checked")){
                    $('#included_vat').prop('checked',false)
                }
            })
        })
    </script>
@endsection
