@extends('layouts.app')
@section('title')
Preview Supplier
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.show_supplier') }}</h5>
            <form action="{{route('suppliers.store')}}" method="POST">
                @csrf
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.name') }}</label>
                        <input name="name" id="name" placeholder="{{ __('messages.name') }}" class="form-control" value="{{ $supplier->name }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class="">{{ __('messages.email') }}</label>
                        <input name="email" id="email" placeholder="{{ __('messages.email') }}" class="form-control" value="{{ $supplier->email }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class="">{{ __('messages.reg_num') }}</label>
                        <input name="registeration_number" id="registeration_number" placeholder="{{ __('messages.reg_num') }}" class="form-control" value="{{ $supplier->registeration_number }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class="">{{ __('messages.vat_num') }}</label>
                        <input name="vat_number" id="vat_number" placeholder="{{ __('messages.vat_num') }}" class="form-control" type="number" value="{{ $supplier->vat_number }}" readonly>
                    </div>
                    {{--  <div class="position-relative form-group col-md-6">
                        <label for="payment_method" class="">{{ __('messages.payment_method') }}</label>
                        <input name="payment_method" id="payment_method" placeholder="{{ __('messages.payment_method') }}" class="form-control" value="{{ $supplier->payment_method }}" readonly>
                    </div>  --}}
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class="">{{ __('messages.city') }}</label>
                        <input name="city" id="city" placeholder="{{ __('messages.city') }}" class="form-control" value="{{ $supplier->city }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class="">{{ __('messages.country') }}</label>
                        <input name="country" id="country" placeholder="{{ __('messages.country') }}" class="form-control" value="{{ $supplier->country }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class="">{{ __('messages.address') }}</label>
                        <input name="address" id="address" placeholder="{{ __('messages.address') }}" class="form-control"value="{{ $supplier->address }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class="">{{ __('messages.contactPerson') }}</label>
                        <input name="contact_person" id="contact_person" placeholder="{{ __('messages.contactPerson') }}" class="form-control" value="{{ $supplier->contact_person }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class="">{{ __('messages.contactPersonNum') }}</label>
                        <input name="contact_person_phone" id="contact_person_phone" placeholder="{{ __('messages.contactPersonNum') }}" class="form-control"  value="{{ $supplier->contact_person_phone }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class="">{{ __('messages.contactPersonEmail') }}</label>
                        <input name="contact_person_email" id="contact_person_email" placeholder="{{ __('messages.contactPersonEmail') }}" class="form-control"  value="{{ $supplier->contact_person_email }}" readonly>
                    </div>
                </div>
                <a href="/dashboard/suppliers"  class="mt-1 btn btn-primary">{{ __('messages.back') }}</a>
            </form>
        </div>
    </div>
</div>
@endsection
