@extends('layouts.app')
@section('title')
Support
@endsection
@section('content')
    @if (count($errors) > 0)
    <div class="alert alert-danger" role="alert">
        @foreach ($errors->all() as $error)
        {{ $error }}<br>
        @endforeach
    </div>
    @endif
    <body>
        <div class="container">
            @if(session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
            @endif
            <div class="main-card mb-3 card">
                <div class="card-body">
                    <h5 class="card-title">{{ __('messages.suppotform') }}</h5>
                    <form method="POST" action="{{ route('support') }}">
                        @csrf
                        <div class="form-group {{ $errors->has('name') ? 'has-error' : '' }}">
                            <label for="email">{{ __('messages.email') }}</label>
                            <input required name="email" type="email" class="form-control" id="email" aria-describedby="emailHelp" placeholder="{{ __('messages.enter_email') }}">
                            <span class="text-danger">{{ $errors->first('email') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('name') ? 'has-error' : '' }}">
                            <label for="name">{{ __('messages.full_name') }}</label>
                            <input required name="name" type="text" class="form-control" id="name" aria-describedby="name" placeholder="{{ __('messages.your_name') }}">
                            <span class="text-danger">{{ $errors->first('name') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('phone') ? 'has-error' : '' }}">
                            <label for="phone">{{ __('messages.phone') }}</label>
                            <input required name="phone" type="number" class="form-control" type="number" id="phone" aria-describedby="phone" placeholder="{{ __('messages.your_phone') }}">
                            <span class="text-danger">{{ $errors->first('phone') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('subject') ? 'has-error' : '' }}">
                            <label for="subject">{{ __('messages.subject') }}</label>
                            <input required name="subject" class="form-control" id="subject" rows="3" placeholder="{{ __('messages.your_subject') }}">
                            <span class="text-danger">{{ $errors->first('subject') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('comment') ? 'has-error' : '' }}">
                            <label for="comment">{{ __('messages.message') }}</label>
                            <textarea name="comment" class="form-control" id="comment" rows="3" required placeholder="{{ __('messages.your_message') }}"></textarea>
                            <span class="text-danger">{{ $errors->first('comment') }}</span>
                        </div>
                        <button type="submit" class="mt-1 btn bg-darkblue text-white">{{ __('messages.submit1') }}</button>
                    </form>
                </div>
            </div>

        </div>

    </body>
@endsection
