@extends('layouts.app')
@section('title')
@php
    $language = app()->getLocale();
@endphp

@if ($language == 'en')

    @if ($status == 'edit')
        Edit User
    @else
        @if($status == 'show')
            Show User
        @else
            Add User
        @endif
    @endif
@else
    @if ($status == 'edit')
        تعديل مستخدم
    @else
        @if($status == 'show')
            عرض مستخدم
        @else
           اضافة مستخدم
        @endif
    @endif
@endif
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{$error }}<br>
    @endforeach
</div>
@endif
{{--  {{dd($check_owner)}}  --}}
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            @include('flash::message')
            <h5 class="card-title">
                @if ($status == 'edit')
                    {{ __('messages.edit_user') }}
                @else
                    @if($status == 'show')
                        {{ __('messages.show_user') }}
                    @else
                        {{ __('messages.add_user') }}
                    @endif
                @endif
            </h5>
            <form action="{{route('insert_update_user')}}" method="POST">
                @csrf
                @if ($status == 'edit')
                    <input type="hidden" name="user_id" value="{{$user->id}}">
                    <input type="hidden" name="conf_type" id="conf_type" value="0">
                @endif
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.full_name') }} </label>
                        <input name="name" id="name" placeholder="{{ __('messages.full_name') }}" class="form-control" @if ($status == 'edit' || $status=='show') value="{{$user->name}}"@endif @if($status=='show'){{'readonly'}}@endif required>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class="">{{ __('messages.username') }}</label>
                        <input name="username" id="username" placeholder="{{ __('messages.username') }}" class="form-control" @if ($status == 'edit' || $status=='show') value="{{$user->username}}"@endif @if($status=='show'){{'readonly'}}@endif required autocomplete="false">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class="">{{ __('messages.email') }}</label>
                        <input name="email" id="email" placeholder="{{ __('messages.email') }}" class="form-control" type="email" @if ($status == 'edit' || $status=='show') value="{{$user->email}}"@endif @if($status=='show'){{'readonly'}}@endif required>
                    </div>
                    <div class="position-relative form-group col-md-4">
                        <label for="password" class="">{{ __('messages.password') }}</label>
                        <input type="password" name="password" id="password" placeholder="{{ __('messages.password') }}" class="form-control" @if ($status == 'edit' || $status=='show') value="{{$user->password}}" readonly @endif required autocomplete="false">
                    </div>
                    @if($status == 'edit')
                        <div class="position-relative form-group col-md-2 d-flex justify-content-center align-items-center mb-0">
                            <a href="#" class=" btn btn-primary text-white change_pass" style="margin-top:15px;font-size: 14px">{{__('messages.change_pass_btn')}}</a>
                        </div>

                        <div class="position-relative form-group col-md-6 confirm_password d-none">
                            <label for="password" class="">{{ __('messages.confirm_password') }}</label>
                            <input type="password" name="confirm_password" id="confirm_pass_input" placeholder="{{ __('messages.confirm_password') }}" class="form-control">
                            <span class="text-danger" id="conf_error"><small></small></span>
                        </div>
                    @endif
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class="">{{ __('messages.residence_id') }}</label>
                        <input name="residence_id" id="residence_id" placeholder="{{ __('messages.residence_id') }}" class="form-control" @if ($status == 'edit' || $status=='show') value="{{$user->residence_id}}"@endif @if($status=='show'){{'readonly'}}@endif required>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class="">{{ __('messages.role') }}</label>
                        @if(strpos(Request()->url(), "profile")!==false)
                            <input type="hidden" name=role value="{{Auth::user()->role->id}}">
                        @endif
                        <select name="role" id="role" class="form-control" required @if(strpos(Request()->url(), "profile")!==false || $status == 'show') disabled @endif>
                                <option value="" selected disabled hidden>{{ __('messages.choose') }} {{ __('messages.role') }}</option>
                            @foreach($roles as $role)

                                {{--  if super admin (1) can create all types
                                if owner (2) can create manager and casher
                                if manager (3) can create casher
                                cahsir (4) --}}
                                @if(strpos(Request()->url(), "profile")!==false)
                                    <option value="{{ $role->id }}" @if (($status == 'edit' || $status=='show') && Auth::user()->role->id == $role->id) {{'selected'}} @endif>{{ $role->name }}</option>
                                @else
                                    @if(($status == 'add' && (Auth::user()->role->id == 3 && ($role->id == 1 || $role->id == 2 || $role->id == 3))) ||
                                        ($status == 'edit') && (Auth::user()->role->id == 3 && ($role->id == 1 || $role->id == 2 )))
                                        @continue
                                    @else
                                        @if(($status == 'add' &&Auth::user()->role->id == 2 && ($role->id == 1 || $role->id == 2)) ||
                                            ($status == 'edit') && (Auth::user()->role->id == 2 && ($role->id == 1)))
                                            @continue
                                        @else
                                            @if(Auth::user()->role->id == 1 && $role->id == 1)
                                                @continue
                                            @else
                                                @if(($status =='add' || $status =='edit') && !is_null($check_owner) && $role->id == 2)
                                                    @continue
                                                @else
                                                    <option value="{{ $role->id }}" @if (($status == 'edit' || $status=='show') && $user->role_id == $role->id) {{'selected'}} @endif>{{ $role->name }}</option>
                                                @endif
                                            @endif
                                        @endif
                                    @endif
                                @endif

                                {{--  @if($role->id != 1)
                                    @if( Auth::user()->role->id == 4 )
                                        @break
                                    @else
                                        @if ((Auth::user()->role =='1') && ($role->id == '3' || $role->id == '1'))
                                            @continue
                                        @else
                                            @if((Auth::user()->role =='3') && $role->id == '3')
                                                @continue
                                            @else
                                                <option value="{{ $role->id }}">{{ $role->name }}</option>
                                            @endif
                                        @endif
                                    @endif
                                @endif  --}}
                            @endforeach
                        </select>
                    </div>
                    {{--  <div class="position-relative form-group col-md-6">
                        <label for="shift_from" class="">{{ __('messages.shiftfrom') }}</label>
                        <input name="shift_from" id="shift_from" placeholder="{{ __('messages.shiftfrom') }}" class="form-control" type="time" step="36000" @if (($status == 'edit' || $status=='show') && !is_null($user->shift_from)) value="{{$user->shift_from}}"@endif @if($status=='show'){{'readonly'}}@endif>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_to" class="">{{ __('messages.shiftto') }}</label>
                        <input name="shift_to" id="shift_to" placeholder="{{ __('messages.shiftto') }}" class="form-control" type="time" step="72000" @if (($status == 'edit' || $status=='show') && !is_null($user->shift_to)) value="{{$user->shift_to}}"@endif @if($status=='show'){{'readonly'}}@endif>
                    </div>  --}}
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class="">{{ __('messages.phone') }}</label>
                        <input name="phone" id="phone" placeholder="{{ __('messages.phone') }}" class="form-control" type="phone" @if ($status == 'edit' || $status=='show') value="{{$user->phone}}"@endif @if($status=='show'){{'readonly'}}@endif required>
                    </div>
                </div>
                <a href="{{route('all_users')}}" class="mt-1 btn @if($status == 'show') {{'btn-primary'}} @else {{'btn-danger'}} @endif">
                    @if($status == 'show')
                        {{ __('messages.back') }}
                    @else
                        {{ __('messages.cancel')}}
                    @endif
                </a>
                @if($status != 'show')
                    <button class="mt-1 btn btn-primary text-white">{{ __('messages.save') }}</button>
                @endif
            </form>
        </div>
    </div>
</div>
@endsection

@section('script')

<script>
    var last_pass = $('#password').val();
    $('.change_pass').on('click',function(event){
        event.preventDefault();
        $('#password').removeAttr('readonly')

        if($('.confirm_password').hasClass('d-none')){
            $('#conf_type').val(1)
            $('#password').val('');
        }else{
            $('#password').attr('readonly','readonly')
            $('#conf_type').val(0)
            $('#password').val(last_pass);
            $('#confirm_pass_input').val('');
        }
        $('.confirm_password').toggleClass('d-none')
    })

    $('#confirm_pass_input').on('keyup',function(){
        if($('#confirm_pass_input').val() != $('#password').val()){
            $('#conf_error').children('small').text('Confirm password should by matched password')
        }else{
            $('#conf_error').children('small').text('Confirm password matched password')
            $('#conf_error').toggleClass('text-danger text-success')
        }
    })
</script>
@endsection
