@extends('layouts.app')
@section('title')
    @php
        $language = app()->getLocale();
    @endphp
    @if ($language=='ar')
        المستخدمين
    @else
        Users
    @endif
@endsection
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.users') }}</h5>
                <a style="text-decoration: none;" href="{{ route('add_user') }}" class="bg-blue text-white p-2 border-round fw-bold">{{ __('messages.add_user') }}</a>
            </div>
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                <tr class="darkblue">
                    {{--  <th>#</th>  --}}
                    <th>{{ __('messages.name') }}</th>
                    <th>{{ __('messages.role') }}</th>
                    <th>{{ __('messages.action') }}</th>
                </tr>
                </thead>
                <tbody>
                    @foreach($users as $user)
                        {{--  @if(Auth::user()->role->id != 1 && $user->role->id == 1)  --}}
                        @if($user->role->id == 1)
                            @continue
                        @else
                            <tr>
                                {{--  <td>{{ $user->id }}</td>  --}}
                                <td>{{$user->name }}</td>
                                <td>{{$user->role->name}}</td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        <a href="{{ route('edit_user', $user->id) }}"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                        <a href="{{ route('show_user', $user->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>
                                        <a href="{{ route('del_user', ['id'=>$user->id]) }}" class="del_user"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                                    </div>

                                </td>
                            </tr>
                        @endif
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
<script>
 excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
 console.log(excel);
</script>
<script src="{{ asset('assets/js/datatable.min.js') }}"></script>
@endsection

@section('script')
<script>
    $(document).ready(function(){
        $('.del_user').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                Swal.fire({
                                    title: 'Deleted',
                                    text: "your user has been deleted!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    timer:1000
                                })
                                    // window.location.href = base_url + 'dashboard/orders';
                                location.reload();
                            }
                        });
                    }
                })
            })
        })
    })
</script>
@endsection
