<?php $__env->startSection('title'); ?>
    show product
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger" role="alert">
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($error); ?><br>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php endif; ?>
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body"><h5 class="card-title"><?php echo e(__('messages.show_product')); ?></h5>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="name_en" class=""><?php echo e(__('messages.name_en')); ?></label>
                            <input type="text" name="name_en" id="name_en" placeholder="Name in English" class="form-control" value="<?php echo e($product->name_en); ?>" readonly>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="name_ar" class=""><?php echo e(__('messages.name_ar')); ?></label>
                            <input type="text" name="name_ar" id="name_ar" placeholder="Name in Arablic" class="form-control" value="<?php echo e($product->name_ar); ?>" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="code" class=""><?php echo e(__('messages.code')); ?></label>
                            <input type="text" name="code" id="code" placeholder="e.g: t12" class="form-control" value="<?php echo e($product->code); ?>" readonly >
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="cost_price" class=""><?php echo e(__('messages.cost_price')); ?></label>
                            <input name="cost_price" id="cost_price" placeholder="e.g: 10" class="form-control" type="number" value="<?php echo e($product->cost_price); ?>" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="selling_price" class=""><?php echo e(__('messages.selling_price')); ?></label>
                            <input type="number" name="selling_price" id="selling_price" placeholder="e.g: 12" class="form-control" value="<?php echo e($product->selling_price); ?>" readonly>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="category_id" class=""><?php echo e(__('messages.cat')); ?></label>
                            <input name="category_id" id="category_id" placeholder="category" class="form-control" value="<?php echo e($product->category['name_en']); ?>" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="discount" class=""><?php echo e(__('messages.discount')); ?></label>
                            <input type="number" name="discount" id="discount" placeholder="e.g: 15" class="form-control" value="<?php echo e($product->discount); ?>" readonly>
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="digital_menu"><?php echo e(__('messages.digitalMenu')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu" name="digital_menu" <?php if($product->digital_menu ==1){echo 'checked';}?> disabled >
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="pos"><?php echo e(__('messages.pos')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos" name="pos" <?php if($product->pos ==1){echo 'checked';}?> disabled>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="image" class=""><?php echo e(__('messages.image')); ?></label>
                            <div>
                                <?php if(!is_null($product->image)): ?>
                                    <img id="show_img" class="img-fit" src="<?php echo e(asset('/images/'.$product->image)); ?>">
                                <?php endif; ?>
                            </div>
                           </div>
                    </div>

                <div class="row">
                    <div class="col-md-12">
                        <table class=" table table-bordered table-responsive-lg">
                            <thead>
                            <tr>
                                <th scope="col" ><?php echo e(__('messages.item_en')); ?></th>
                                <th scope="col"><?php echo e(__('messages.item_ar')); ?></th>
                                <th scope="col"><?php echo e(__('messages.measurement')); ?></th>
                                <th scope="col"><?php echo e(__('messages.unit')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $product->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item['name_en']); ?></td>
                                    <td><?php echo e($item['name_ar']); ?></td>
                                    <td><?php echo e($item['pivot']['mesurment']); ?></td>
                                    <td><?php echo e($item['unit']); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>


                    </div>
                </div>
                    <a href="<?php echo e(route('products.index')); ?>"  class="mt-1 btn btn-primary"><?php echo e(__('messages.back')); ?></a>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/products/show.blade.php ENDPATH**/ ?>