<?php $__env->startSection('title'); ?>
    Edit product
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger" role="alert">
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($error); ?><br>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php endif; ?>
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body"><h5 class="card-title"><?php echo e(__('messages.editProduct')); ?></h5>
                <form action="<?php echo e(route('products.update',['product'=> $product->id])); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo e(method_field('PATCH')); ?>

                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="name_en" class=""><?php echo e(__('messages.name_en')); ?></label>
                            <input type="text" name="name_en" id="name_en" placeholder="<?php echo e(__('messages.name_en')); ?>" class="form-control" value="<?php echo e($product->name_en); ?>">
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="name_ar" class=""><?php echo e(__('messages.name_ar')); ?></label>
                            <input type="text" name="name_ar" id="name_ar" placeholder="<?php echo e(__('messages.name_en')); ?>" class="form-control" value="<?php echo e($product->name_ar); ?>">
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="code" class=""><?php echo e(__('messages.code')); ?></label>
                            <input type="text" name="code" id="code" placeholder="e.g: t12" class="form-control" value="<?php echo e($product->code); ?>" >
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="cost_price" class=""><?php echo e(__('messages.cost_price')); ?></label>
                            <input name="cost_price" id="cost_price" placeholder="e.g: 10" class="form-control" type="number" value="<?php echo e($product->cost_price); ?>">
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="selling_price" class=""><?php echo e(__('messages.selling_price')); ?></label>
                            <input type="number" name="selling_price" id="selling_price" placeholder="e.g: 12" class="form-control" value="<?php echo e($product->selling_price); ?>">
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <label for="category_id" class=""><?php echo e(__('messages.cateogry')); ?></label>
                            <select name="category_id" id="category_id" class="form-control">
                                <option value="" selected disabled hidden><?php echo e(__('messages.choose')); ?><?php echo e(__('messages.cateogry')); ?></option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>" <?php if($category->id == $product->category_id ){ echo 'selected';} ?>>
                                        <?php echo e($category->name_en); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="discount" class=""><?php echo e(__('messages.discount')); ?></label>
                            <input type="number" name="discount" id="discount" placeholder="e.g: 15" class="form-control" value="<?php echo e($product->discount); ?>" step="0.001">
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="digital_menu"><?php echo e(__('messages.digitalMenu')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu" name="digital_menu" <?php if($product->digital_menu ==1){echo 'checked';}?> >
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="pos"><?php echo e(__('messages.pos')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos" name="pos" <?php if($product->pos ==1){echo 'checked';}?>>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="row">
                        
                        <div class="position-relative form-group col-md-6">
                            <label for="image" class=""><?php echo e(__('messages.image')); ?></label>
                            <input type="file" name="image" id="image" class="form-control" onchange="putImage()"accept="image/*" />
                            <img id="show_img" class="img-fit" src="<?php echo e(asset('images/'.$product->image)); ?>">
                        </div>

                    </div>
                    <hr>
                <div class="row">
                    <div class="card rounded-0 border-0 shadow col-md-12">
                        <div class="card-body p-10">

                            <!--  Bootstrap table-->
                            <div class="col-md-12">
                                <table id="table" class="table table-bordered table-responsive-lg" id="tblCustomers " >
                                <thead>
                            <tr>
                                <th scope="col" ><?php echo e(__('messages.item_en')); ?></th>
                                <th scope="col"><?php echo e(__('messages.item_ar')); ?></th>
                                <th scope="col"><?php echo e(__('messages.measurement')); ?></th>
                                <th scope="col"><?php echo e(__('messages.unit')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $product->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item['name_en']); ?></td>
                                    <td><?php echo e($item['name_ar']); ?></td>
                                    <td><?php echo e($item['pivot']['mesurment']); ?></td>
                                    <td><?php echo e($item['unit']); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                                </table>
                            </div>

                            <!-- Add rows button-->
                            <a class="btn btn-primary" id="insertRow" href="#"><?php echo e(__('messages.add')); ?></a>
                            <a class="btn btn-primary" id="insertRow_1" href="#"><?php echo e(__('messages.add_item')); ?></a><span style="font-weight: bold;">  <?php echo e(__('messages.add_new_item')); ?> </span>


                        </div>
                    </div>

                </div>
                <a href="<?php echo e(route('products.index')); ?>" class="mt-1 btn btn-danger"><?php echo e(__('messages.cancel')); ?></a>
                <button class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.save')); ?></button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>

<script>























</script>
<script>
$(function () {

// Start counting from the third row
            var counter = 0;
        var jArray = <?php echo json_encode($items); ?>;
            console.log(jArray[0].name_ar);
            $("#insertRow").on("click", function (event) {
                event.preventDefault();
                var newRow = $("<tr>");
                var cols = '';
                var option ;
                var option1 ;
                option='<option value=""   ><?php echo e(__('messages.select_item')); ?></option>';
                option1='<option value=""   ><?php echo e(__('messages.select_item')); ?></option>';
                for(var i=0; i<jArray.length; i++) {
                    option +='<option value="' + jArray[i].id + '"   > ' + jArray[i].name_en + '</option>'
                    option1 +='<option value="' + jArray[i].id + '"   > ' + jArray[i].name_ar + '</option>'

                    //  console.log(jArray[i].name_en);
                }
              //  console.log(option); onchange="checkFilled();"
                // Table columns
                // cols += '<td scrope="row">' + counter + '</td>';
                cols += '<td><select required class=" item_en form-control rounded-0" style="width: 100%" name="item_en[]" id="item_en"  > '+ option +' </select></td>';
                cols += '<td><select required class="item_ar form-control rounded-0" style="width: 100%" name="item_ar[]" id="item_ar" > '+ option1 +' </select></td>';
                //cols += '<td><input required class="form-control rounded-0" style="width: 100%" type="number" name="quantity[]" value="0" id="quantity" style="width: 100px"></td>';
                cols += '<td><input required class="form-control rounded-0" style="width: 100%" type="number" name="measurement[]" value="0" id="measurement" style="width: 100px"></td>';
                cols += '<td><select required name="unit[]" id="unit"><option value="g" selected="">g</option> <option value="kg">kg</option> <option value="l">l</option> <option value="ml">ml</option> <option value="piece">piece</option> </select></td>';
                //cols += '<td><input required class="form-control rounded-0" style="width: 100%" type="date" name="expiry_date[]" id="expiry_date"  style="width: 100px"></td>';
                cols += '<input type="hidden" name="detail_id[]" id="detail_id"   value =' + counter + '></td>';
                cols += '<td><button class="btn btn-danger rounded-0" style="width: 100%" id ="deleteRow"><i class="fa fa-trash"></i></button</td>';


                // Insert the columns inside a row
                newRow.append(cols);


                // // Insert the row inside a table
                $("#table").append(newRow);

                counter++;
            });
            // @endforech
// Remove row when delete btn is clicked
            $("#table").on("click", "#deleteRow", function (event) {
                $(this).closest("tr").remove();
                counter -= 1
            });
        });

    $(function () {

// Start counting from the third row
        var counter1 = 0;

        $("#insertRow_1").on("click", function (event) {
            event.preventDefault();
            var newRow_1 = $("<tr>");
            var cols_1 = '';

            // Table columns
            // cols += '<td scrope="row">' + counter + '</td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="text" name="item_name_en[]" id="item_name_en" style="width:100%"></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="text" name="item_name_ar[]" id="item_name_ar" style="width:100%"></td>';
            //cols_1 += '<td><input required class="form-control rounded-0" type="number" value="0" name="quantity_item[]" id="quantity" style="width:100%"></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="number" value="0" name="measurement_item[]" id="measurement" style="width:100%"></td>';
            cols_1 += '<td><select required name="item_unit[]" id="item_unit"><option value="g"  style="width:100%" selected="">g</option> <option value="kg">kg</option> <option value="l">l</option> <option value="ml">ml</option> <option value="piece">piece</option> </select></td>';
            //cols_1 += '<td><input required class="form-control rounded-0" type="date" name="expiry_date_item[]" id="expiry_date_item" style="width:100%"></td>';
            cols_1 += '<input type="hidden" name="detail_id_1[]" id="detail_id_1"   value =' + counter1 + '></td>';
            cols_1 += '<td><button class="btn btn-danger rounded-0" id ="deleteRow_1"><i class="fa fa-trash"></i></button</td>';


            // Insert the columns inside a row
            newRow_1.append(cols_1);

            // // Insert the row inside a table
            $("#table").append(newRow_1);

            counter1++;
        });

// Remove row when delete btn is clicked
        $("#table").on("click", "#deleteRow_1", function (event) {
            $(this).closest("tr").remove();
            counter1 -= 1
        });
    });


</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/products/edit.blade.php ENDPATH**/ ?>