<?php $__env->startSection('title'); ?>
Reports
<?php $__env->stopSection(); ?>
<?php $__env->startPush('styles'); ?>
<link rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" />
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title py-2 mb-0 darkblue"><?php echo e(__('messages.reports')); ?></h5>
            <div class="row">
                <div class="col-md-3 form-group">
                    <select name="model" id="model" class="form-control select">
                        <option value="Category">Category</option>
                        <option value="Product">Products</option>
                        <option value="Order">Orders</option>
                        
                        <option value="Purchase">Purchases</option>
                    </select>
                </div>
                <div class="col-md-6 form-group">
                    <div id="reportrange"  class="form-control" value="01/01/2022 - 01/15/2022" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                        <i class="fa fa-calendar blue"></i>&nbsp;
                        <span></span> <i class="fa fa-caret-down blue"></i>
                    </div>
                </div>
              
                <div class="col-md-3 form-group">
                    <button type="button" name="filter" id="filter" class="btn bg-blue text-white">Filter</button>
                    
                </div>
                <br />
            </div>

            <div class="row">
                <div class="col-12">
                    <table id="order_table" class="display nowrap" style="width:100%">
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
<script>
    var my_columns = [];
    var globalData ={};
    var table;
    $(function() {
        var start = moment().subtract(29, 'days');
            var end = moment();
            function cb(start, end) {
                $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
            }
            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                }
            }, cb);
            cb(start, end);
    });
    $('.input-daterange').datepicker({
        todayBtn: 'linked'
        , format: 'yyyy-mm-dd'
        , autoclose: true
    });
    $('#filter').click(function(e) {
            var from_date =  $('#reportrange').data('daterangepicker').startDate.format('YYYY-MM-DD') ;
            var to_date = $('#reportrange').data('daterangepicker').endDate.format('YYYY-MM-DD') ;
            var model = $('#model').val();
            if (from_date != '' && to_date != '' && model != '') {
                    if ( ! $.fn.DataTable.isDataTable( '#order_table' ) ) {
                            $.ajax({
                                "processing": true,
                                "serverSide": true,
                                url: '<?php echo e(route("getReports")); ?>',
                                data: {
                                    from_date: from_date
                                    , to_date: to_date
                                    , model
                                },
                                success: function (data) {
                                globalData = data;
                                $.each( data.data[0], function( key, value ) {
                                            var my_item = {};
                                            my_item.data = key;
                                            key1 = key.replace("_", " ");
                                            my_item.title =key1.charAt(0).toUpperCase()+ key1.slice(1);
                                            my_columns.push(my_item);
                                            console.log(my_columns);
                                    })

                                //$('#order_table').DataTable().destroy();
                                //$('#order_table').DataTable().clear();
                                $('#order_table').DataTable( {
                                    aaSorting: [],
                                    data:    globalData.data,
                                    columns:my_columns,
                                    dom: 'Bfrtip',
                                    buttons: [
                                        'excel', 'pdfHtml5'
                                    ],
                                    responsive: true,
                                    scrollX: true,
                                    stateSave: true,
                                    autoWidth: false
                                });
                            }
                        });
                    }
                    else{
                        $('#order_table').DataTable().destroy();
                        $('#order_table').children().remove();

                       // $('#order_table').DataTable().clear();
                        my_columns = [];
                        globalData ={};
                        table;
                        $.ajax({
                                "processing": true,
                                "serverSide": true,
                                url: '<?php echo e(route("getReports")); ?>',
                                data: {
                                    from_date: from_date
                                    , to_date: to_date
                                    , model
                                },
                                success: function (data) {
                                globalData = data;
                                $.each( data.data[0], function( key, value ) {
                                            var my_item = {};
                                            my_item.data = key;
                                            key1 = key.replace("_", " ");
                                            my_item.title =key1.charAt(0).toUpperCase()+ key1.slice(1);
                                            my_columns.push(my_item);
                                            console.log(my_columns);
                                    })
                                $('#order_table').DataTable( {
                                    aaSorting: [],
                                    data:  globalData.data,
                                    columns:my_columns,
                                    dom: 'Bfrtip',
                                    buttons: [
                                        'excel','pdfHtml5'
                                    ],
                                    responsive: true,
                                    scrollX: true,
                                    stateSave: true,
                                    autoWidth: false,
                                });
                            }
                        });
                    }
            } else {
                alert('Both Date and Category are required');
            }
    });

</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/dashboard/reports/index.blade.php ENDPATH**/ ?>