<?php $__env->startSection('title'); ?>
    Purchases
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body">
                <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.purchases')); ?></h5>
                    <a style="text-decoration: none;" href="<?php echo e(route('purchases.create')); ?>" class="bg-blue text-white p-2 border-round fw-bold"><?php echo e(__('messages.add_purchase')); ?></a>
                </div>

                <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                    <thead>
                    <tr class="darkblue">
                        
                        <th><?php echo e(__('messages.invoice')); ?></th>
                        <th><?php echo e(__('messages.supplier')); ?></th>
                        <th><?php echo e(__('messages.invoice_due_date')); ?></th>
                        <th><?php echo e(__('messages.payment_method')); ?></th>
                        <th><?php echo e(__('messages.action')); ?></th>
                    </tr>
                    </thead>
                    <tbody>

                        <?php $__currentLoopData = $purchases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchase): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                
                                <td><?php echo e($purchase->invoice_number); ?></td>
                                <td><?php echo e(isset($purchase->suppliers['name'])?$purchase->suppliers['name']:""); ?></td>
                                <td><?php echo e(isset($purchase->invoice_due_date)?
                                    \Carbon\Carbon::parse($purchase->invoice_due_date )->format('d-m-Y')
                                    :""); ?></td>
                                <td><?php echo e(isset($purchase->payment_method)?$purchase->payment_method:""); ?></td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        <a href="<?php echo e(route('purchases.edit', ['purchase'=>$purchase->id])); ?>"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                        <a href="<?php echo e(route('purchases.show', ['purchase'=>$purchase->id])); ?>"><i class="px-2 fa-solid fa-eye"></i></a>
                                        <a href="<?php echo e(route('delete_purchase', ['id'=>$purchase->id])); ?>" class="del_purchase"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                                    </div>

                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function(){
        $('.del_purchase').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                console.log(data)
                                if(data.status){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: data.msg,
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    })
                                    location.reload();
                                }else{
                                    Swal.fire({
                                        title: data.msg,
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'حسناً',
                                        })
                                }
                                //location.reload();
                            }
                        });
                    }
                })
            })
        })
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/valve/resources/views/dashboard/purchases/index.blade.php ENDPATH**/ ?>