<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Kuppitek - <?php echo $__env->yieldContent('title'); ?> </title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/select2.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/sweetalert.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css.css')); ?>" rel="stylesheet">
        <link  rel="stylesheet" href="<?php echo e(asset('assets/dist/css/bootstrap.min.css')); ?>"/>
        <link href="<?php echo e(asset('assets/dist/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/dist/css/buttons.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
        <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>" />
        <title>print</title>

    </head>

    <body>
        <div class="container" style="margin-top: 30px !important;margin-bottom: 30px !important">
            <div class="row d-flex justify-content-center align-items-center">
                <div class="col-md-6 col-12">
                    <div class="card">
                        <div class="card-body d-flex justify-content-center flex-column">
                            <h6 class="text-center">فاتورة ضريبية مبسطة</h6>
                            <p class="text-center" style="margin-bottom: 10px !important">
                                <?php
                                    switch( strlen((string)$order->id)){
                                        case('1'):
                                            $order_number = '00000'.$order->id;
                                            break;
                                        case('2'):
                                            $order_number = '0000'.$order->id;
                                            break;
                                        case('3'):
                                            $order_number = '000'.$order->id;
                                            break;
                                        case('4'):
                                            $order_number = '00'.$order->id;
                                            break;
                                        case('6'):
                                            $order_number = '0'.$order->id;
                                            break;
                                        default:
                                            $order_number = $order->id;
                                            break;
                                    }
                                ?>
                                #رقم الطلب: <?php echo e($order_number); ?>

                            </p>
                            <h6 class="text-center" style="margin-bottom: 0.2rem !important;"><?php echo e($settings->coffee_name); ?></h6>
                            <h6 class="text-center" style="margin-bottom: 0.2rem !important;"><?php echo e($settings->address); ?></h6>
                            <div class="row">
                                <div class="col-12">
                                    <p class="text-right mb-1">تاريخ: <?php echo e(date('Y/m/d',strtotime($order->created_at))); ?></p>
                                </div>
                                <div class="col-12">
                                    <p class="text-right">رقم تسجيل ضريبة القيمة المضافة: <?php echo e($settings->vat_number); ?></p>
                                </div>
                            </div>

                            <table class="table  table-striped table-hover">
                                <caption>
                                    <div class="row  w-100 m-0">
                                        <div class="col-4 text-center">
                                            <?php echo e($order->total); ?>

                                        </div>
                                        <div class="col-8">
                                            <P class="m-0">المجموع شامل ضريبة القيمة المضافة (ريال)</P>
                                        </div>
                                    </div>
                                </caption>

                                <thead class="text-center" style="font-weight: bolder;">
                                    <td class="pt-0 pb-0">
                                        <h6>المنتجات</h6>
                                    </td>
                                    <td class="pt-0 pb-0">
                                        <h6>الكمية</h6>
                                    </td>
                                    <td class="pt-0 pb-0">
                                        <h6>السعر</h6>
                                    </td>
                                </thead >
                                <tbody class="text-center" id="order_table">
                                    <?php
                                        $total_vat  = 0.0;
                                        $total_amount_due = 0.0;
                                    ?>
                                    <?php if(count($products) > 0): ?>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $with_tax = $settings->with_tax;

                                                if($with_tax){
                                                    $pro_price    = floatval(((int)($product->selling_price))*(100 / (100 + (int)($settings->tax)))) ;
                                                    $pro_total    = floatval($product->pivot->quantity * $pro_price);

                                                }else{
                                                    $vat_amount       = ((int)($product->selling_price) * (int)($settings->tax))/100;
                                                    $pro_price        = (int)($product->selling_price) + $vat_amount;
                                                    $pro_total        = floatval($product->pivot->quantity * $pro_price);
                                                }
                                            ?>
                                                <tr>
                                                    <td><?php echo e(number_format($pro_total,1)); ?></td>
                                                    <td><?php echo e(number_format($product->pivot->quantity,1)); ?></td>
                                                    <td><?php echo e($product->name_ar); ?></td>
                                                </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </tbody>
                            </table>

                            <div class="row  w-100 m-0">
                                <div class="col-4 text-center">
                                    <?php echo e(number_format($order->tax,1)); ?>

                                </div>
                                <div class="col-8">
                                    <P class="text-right">ضريبة القيمة المضافة (<?php echo e($settings->tax); ?>%)</P>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script src="<?php echo e(asset('assets/dist/js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.flash.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jszip.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/sweetalert2.js')); ?>"></script>
    </body>
</html>

<?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/orders/print.blade.php ENDPATH**/ ?>