<?php $__env->startSection('title'); ?>
Edit User
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.edit_user')); ?></h5>
            <form action="<?php echo e(route('users.update', $user->id)); ?>" method="POST" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="conf_type"  id ="conf_type" value="0">
                <?php echo e(method_field('PATCH')); ?>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.full_name')); ?></label>
                        <input name="name" id="name" placeholder="<?php echo e(__('messages.full_name')); ?>" class="form-control" value="<?php echo e($user->name); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class=""><?php echo e(__('messages.username')); ?></label>
                        <input name="username" id="username" placeholder="<?php echo e(__('messages.username')); ?>" class="form-control"value="<?php echo e($user->username); ?>">
                    </div>

                    <div class="position-relative form-group col-md-6">
                        <label for="email" class=""><?php echo e(__('messages.email')); ?></label>
                        <input name="email" id="email" placeholder="<?php echo e(__('messages.email')); ?>" class="form-control" type="email"value="<?php echo e($user->email); ?>">
                    </div>
                    <div class="position-relative form-group col-md-4">
                        <label for="password" class=""><?php echo e(__('messages.password')); ?></label>
                        <input type="password" name="password" id="password" placeholder="<?php echo e(__('messages.password')); ?>" class="form-control"value="<?php echo e($user->password); ?>">
                    </div>
                    <div class="position-relative form-group col-md-2 d-flex justify-content-center align-items-center mb-0">
                        <a href="#" class=" btn btn-primary text-white change_pass" style="margin-top:15px;font-size: 14px"><?php echo e(__('messages.change_pass_btn')); ?></a>
                    </div>

                    <div class="position-relative form-group col-md-6 confirm_password d-none">
                        <label for="password" class=""><?php echo e(__('messages.confirm_password')); ?></label>
                        <input type="password" name="confirm_password" id="confirm_pass_input" placeholder="<?php echo e(__('messages.confirm_password')); ?>" class="form-control">
                        <span class="text-danger" id="conf_error"><small></small></span>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class=""><?php echo e(__('messages.residence_id')); ?></label>
                        <input name="residence_id" id="residence_id" placeholder="<?php echo e(__('messages.residence_id')); ?>" class="form-control" value="<?php echo e($user->residence_id); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class=""><?php echo e(__('messages.role')); ?></label>
                        <select name="role" id="role" class="form-control">
                            <option value="" selected disabled hidden><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.role')); ?></option>
                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($type->id != 4): ?>
                                    <?php if( Auth::user()->role =='2' ): ?>
                                        <?php break; ?>
                                    <?php else: ?>
                                        <?php if((Auth::user()->role =='1') && ($type->id == '3' || $type->id == '1')): ?>
                                            <?php continue; ?>
                                        <?php else: ?>
                                            <?php if((Auth::user()->role =='3') && $type->id == '3'): ?>
                                                <?php continue; ?>
                                            <?php else: ?>
                                                <option value="<?php echo e($type->id); ?>"><?php echo e($type->name); ?></option>
                                                <option value="<?php echo e($type->id); ?>" <?php if ($type->id == $user->role) echo"selected";?>  ><?php echo e($type->name); ?></option>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_from" class=""><?php echo e(__('messages.shiftfrom')); ?></label>
                        <input name="shift_from" id="shift_from" placeholder="<?php echo e(__('messages.shiftfrom')); ?>" class="form-control" type="time" step="36000"value="<?php echo e($user->shift_from); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_to" class=""><?php echo e(__('messages.shiftto')); ?></label>
                        <input name="shift_to" id="shift_to" placeholder="<?php echo e(__('messages.shiftto')); ?>" class="form-control" type="time" step="36000" value="<?php echo e($user->shift_to); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class=""><?php echo e(__('messages.phone')); ?></label>
                        <input name="phone" id="phone" placeholder="<?php echo e(__('messages.phone')); ?>" class="form-control" type="phone" value="<?php echo e($user->phone); ?>">
                    </div>
                </div>
                <a href="/dashboard/users"  class="mt-1 btn btn-danger"><?php echo e(__('messages.cancel')); ?></a>
                <button class="mt-1 btn btn-primary text-white"><?php echo e(__('messages.save')); ?></button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script>
    var last_pass = $('#password').val();
    $('.change_pass').on('click',function(event){
        event.preventDefault();

        if($('.confirm_password').hasClass('d-none')){
            $('#conf_type').val(1)
            $('#password').val('');
        }else{
            $('#conf_type').val(0)
            $('#password').val(last_pass);
        }
        $('.confirm_password').toggleClass('d-none')
    })

    $('#confirm_pass_input').on('keyup',function(){
        if($('#confirm_pass_input').val() != $('#password').val()){
            $('#conf_error').children('small').text('Confirm password should by matched password')
        }else{
            $('#conf_error').children('small').text('Confirm password matched password')
            $('#conf_error').toggleClass('text-danger text-success')
        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/users/edit.blade.php ENDPATH**/ ?>