<?php $__env->startSection('title'); ?>
Preview Purchase
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.show_purchase')); ?></h5>
            <form  method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.invoice')); ?></label>
                        <input name="invoice" id="invoice" placeholder="<?php echo e(__('messages.invoice')); ?>" class="form-control" value="<?php echo e($purchase->invoice_number); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="image" class=""><?php echo e(__('messages.image')); ?></label>
                        <!--<input type="file" name="image" id="image" class="form-control" onchange="putImage()"accept="image/*" />-->
                        <?php if(!is_null($purchase->image)): ?>
                            <img id="show_img" class="img-fit" src="<?php echo e(asset('/images/'.$purchase->image)); ?>">
                        <?php endif; ?>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_date" class=""><?php echo e(__('messages.invoice_date')); ?></label>
                        <input name="invoice_date" id="invoice_date" placeholder="<?php echo e(__('messages.invoice_date')); ?>" class="form-control" value="<?php echo e(\Carbon\Carbon::parse($purchase->invoice_date )->format('d-m-Y')); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_due_date" class=""><?php echo e(__('messages.invoice_due_date')); ?></label>
                        <input name="invoice_due_date" id="invoice_due_date" placeholder="<?php echo e(__('messages.invoice_due_date')); ?>" class="form-control" value="<?php echo e(\Carbon\Carbon::parse($purchase->invoice_due_date )->format('d-m-Y')); ?>" readonly>
                    </div>

                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="supplier" class=""><?php echo e(__('messages.supplier')); ?></label>
                        <input name="supplier" id="supplier" placeholder="<?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.supplier')); ?>" class="form-control"  value="<?php echo e($purchase->suppliers['name']); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="payment_method" class=""><?php echo e(__('messages.payment_method')); ?></label>
                        <input name="payment_method" id="payment_method" placeholder="<?php echo e(__('messages.payment_method')); ?>" class="form-control" value="<?php echo e($purchase->payment_method); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="VAT_number" class=""><?php echo e(__('messages.vat_num')); ?></label>
                        <input name="VAT_number" id="VAT_number" placeholder="<?php echo e(__('messages.vat_num')); ?>" class="form-control" value="<?php echo e($purchase->suppliers['vat_number']); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="paid_amount" class=""><?php echo e(__('messages.paid_amount')); ?></label>
                        <input name="paid_amount" id="paid_amount" placeholder="<?php echo e(__('messages.paid_amount')); ?>" class="form-control" value="<?php echo e($purchase->paid_amount); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="total_amount" class=""><?php echo e(__('messages.total_amount')); ?></label>
                        <input name="total_amount" id="total_amount" placeholder="<?php echo e(__('messages.total_amount')); ?>" class="form-control" type="number" value="<?php echo e($purchase->total_amount); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table class=" table table-bordered table-responsive-lg">
                            <thead>
                            <tr>
                                <th scope="col" ><?php echo e(__('messages.item_en')); ?></th>
                                <th scope="col"><?php echo e(__('messages.item_ar')); ?></th>
                                <th scope="col"><?php echo e(__('messages.quantity')); ?></th>
                                <th scope="col"><?php echo e(__('messages.measurement')); ?></th>
                                <th scope="col"><?php echo e(__('messages.unit')); ?></th>
                                <th scope="col"><?php echo e(__('messages.expiry_date')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $purchase->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item['name_en']); ?></td>
                                    <td><?php echo e($item['name_ar']); ?></td>
                                    <td><?php echo e($item['pivot']['quantity']); ?></td>
                                    <td><?php echo e($item['pivot']['mesurment']); ?></td>
                                    <td><?php echo e($item['unit']); ?></td>
                                    <td><?php echo e(\Carbon\Carbon::parse($item['pivot']['expire_date'] )->format('d-m-Y')); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>


                    </div>
                </div>
                <a href="#" class="mt-1 btn btn-primary back_btn"><?php echo e(__('messages.back')); ?></a>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/purchases/show.blade.php ENDPATH**/ ?>