<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Kuppitek - <?php echo $__env->yieldContent('title'); ?> </title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/select2.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/sweetalert.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css.css')); ?>" rel="stylesheet">
        <link  rel="stylesheet" href="<?php echo e(asset('assets/dist/css/bootstrap.min.css')); ?>"/>
        <link href="<?php echo e(asset('assets/dist/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/dist/css/buttons.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
        <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>" />
        <title>
            <?php
                $language = app()->getLocale();
            ?>
            <?php if($language=='ar'): ?>
                طباعة الفاتورة
            <?php else: ?>
                Print Invoice
            <?php endif; ?>
        </title>

    </head>

    <body>
        <div class="container" style="margin-top: 30px !important;margin-bottom: 30px !important">
            <div class="row d-flex justify-content-center align-items-center">
                <div class="col-md-8 col-12">
                    <div class="card">
                        <div class="card-body d-flex justify-content-center flex-column">
                            <?php
                                switch( strlen((string)$invoice->id)){
                                    case('1'):
                                        $invoice_number = '00000'.$invoice->id;
                                        break;
                                    case('2'):
                                        $invoice_number = '0000'.$invoice->id;
                                        break;
                                    case('3'):
                                        $invoice_number = '000'.$invoice->id;
                                        break;
                                    case('4'):
                                        $invoice_number = '00'.$invoice->id;
                                        break;
                                    case('6'):
                                        $invoice_number = '0'.$invoice->id;
                                        break;
                                    default:
                                        $invoice_number = $invoice->id;
                                        break;
                                }
                                $path = 'images/'.$settings->logo;
                            ?>

                            <div class="row d-flex justify-content-center">
                                <div class="col-6 d-flex justify-content-center">
                                    <img src="<?php echo e(asset($path)); ?>" width="40px">
                                </div>
                            </div>
                            <h6 class="text-center">  Simplified Tax Invoice - فاتورة ضريبية مبسطة</h6>
                            
                            <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000">
                            <div class="row mb-2">
                                <div class="col-6">
                                    <div class="row">
                                        <div class="col-6 pr-0">
                                            <p class="mb-0 font-weight-bolder">Invoice Number</p>
                                        </div>
                                        <div class="col-6">
                                            <p class="mb-0"><?php echo e($invoice_number); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="row">
                                        <div class="col-6">
                                            <p class="mb-0 text-right"><?php echo e($invoice_number); ?></p>
                                        </div>
                                        <div class="col-6">
                                            <p class="mb-0 text-right font-weight-bolder">رقم الفاتورة</p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row mb-2">
                                <div class="col-6">
                                    <div class="row">
                                        <div class="col-6 pr-0">
                                            <p class="mb-0 font-weight-bolder">Invoice Issue Date </p>
                                        </div>
                                        <div class="col-6">
                                            <p class="mb-0"><?php echo e(date('d/m/Y',strtotime($invoice->created_at))); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="row">
                                        <div class="col-6">
                                            <p class="mb-0 text-right"><?php echo e(date('d/m/Y',strtotime($invoice->created_at))); ?></p>
                                        </div>
                                        <div class="col-6">
                                            <p class="mb-0 text-right font-weight-bolder">تاريخ اصدار الفاتورة</p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row mb-2">
                                <div class="col-12">
                                    <h6 class="text-right" style="margin-bottom: 0.2rem !important;"> <?php echo e($settings->coffee_name); ?> : اسم الشركة</h6>
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-12">
                                    <h6 class="text-right" style="margin-bottom: 0.2rem !important;"> <?php echo e($settings->address); ?> : العنوان </h6>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-12">
                                    <h6 class="text-right" style="margin-bottom: 0.2rem !important;"><?php echo e($settings->vat_number); ?> :(VAT Number) رقم تسجيل ضريبة القيمة المضافة  </h6>
                                </div>
                            </div>

                            <table class="table  table-striped table-hover">
                                

                                <thead class="text-center" style="font-weight: bolder;">
                                    <td class="pt-0 pb-0">
                                        <p class="p-0 m-0">Total Taxable Amount (Excluding VAT)</p>
                                        <p class="p-0 m-0">المجموع (غير شامل ضريبة القيمة المضافة)</p>
                                    </td>
                                    <td class="pt-0 pb-0">
                                        <p class="p-0 m-0">Unit Price</p>
                                        <p class="p-0 m-0">سعر الواحدة</p>
                                    </td>
                                    <td class="pt-0 pb-0">
                                        <p class="p-0 m-0">Quantity</p>
                                        <p class="p-0 m-0">الكمية</p>
                                    </td>
                                    <td class="pt-0 pb-0">
                                        <p class="p-0 m-0">Products</p>
                                        <p class="p-0 m-0">اسم المنتج</p>
                                    </td>
                                </thead >
                                <tbody class="text-center" id="order_table">
                                    <?php
                                        $total_vat  = 0.0;
                                        $total_amount_due = 0.0;
                                    ?>
                                    <?php if(count($products) > 0): ?>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e(number_format($product->pivot->taxable_amount,2)); ?></td>
                                                <td><?php echo e(number_format($product->selling_price,1)); ?></td>
                                                <td><?php echo e($product->pivot->quantity); ?></td>
                                                <td>
                                                    <p class="p-0 m-0"><?php echo e($product->name_ar); ?></p>
                                                    <p class="p-0 m-0"><?php echo e($product->name_en); ?></p>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>

                                </tbody>
                            </table>
                            <?php if($invoice->order->discount != 0): ?>
                                <div class="row">
                                    <div class = 'col-md-6 d-flex justify-content-center align-items-center'>
                                        <?php echo e($invoice->order->discount); ?>

                                    </div>
                                    <div class = 'col-md-6 text-right'>
                                        <p class="m-0 font-weight-bolder " style="padding-right: 15px">Discount</p>
                                        <small style="padding-right: 15px">الخصم</small>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000">

                            <div class="row">
                                <div class="col-12">
                                    
                                    <div class="row">
                                        <div class="col-8">
                                            <p class="m-0 font-weight-bolder">Total Taxable Amount (Excluding VAT)  </p>
                                            <small>المجموع ( غير شامل ضريبة القيمة المضافة  )</small>
                                        </div>
                                        <div class="col-4 d-flex justify-content-end alighn-items-center">
                                            <p class="m-0 text-right"><?php echo e(number_format($invoice->order->sub_total_a_dis,2)); ?></p>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-8">
                                            <p class="m-0 font-weight-bolder">Total VAT </p>
                                            <small>مجموع ضريبة القيمة المضافة  </small>
                                        </div>
                                        <div class="col-4 d-flex justify-content-end alighn-items-center">
                                            <p class="m-0 text-right"><?php echo e(number_format($invoice->order->tax_a_dis,2)); ?></p>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-8">
                                            <p class="m-0 font-weight-bolder">Total Amount Due</p>
                                            <small>إجمالي المبلغ المستحق</small>
                                        </div>
                                        <div class="col-4 d-flex justify-content-end alighn-items-center">
                                            <p class="m-0 text-right"><?php echo e(number_format($invoice->order->total,2)); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000">


                            

                            

                            <div class="row d-flex justify-content-center">
                                <div class="col-6 d-flex justify-content-center align-items-center">
                                    <img src="<?php echo e($QR); ?>" alt="QR Code"/>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>
        </div>


        <script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script src="<?php echo e(asset('assets/dist/js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.flash.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jszip.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/sweetalert2.js')); ?>"></script>
    </body>
</html>

<?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/invoices/print.blade.php ENDPATH**/ ?>