<?php $__env->startSection('title'); ?>
Preview Settings
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.settings')); ?></h5>
            <form action="<?php echo e(route('settings.update',$settings->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo e(method_field('PATCH')); ?>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="company_name" class=""><?php echo e(__('messages.company_name')); ?></label>
                        <input name="company_name" id="company_name" placeholder="<?php echo e(__('messages.company_name')); ?>" class="form-control" value="<?php echo e($settings->company_name); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="coffee_name" class=""><?php echo e(__('messages.coffe_name')); ?></label>
                        <input name="coffee_name" id="coffee_name" placeholder="<?php echo e(__('messages.coffe_name')); ?>" class="form-control"  value="<?php echo e($settings->coffee_name); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class=""><?php echo e(__('messages.contactPerson')); ?></label>
                        <input name="contact_person" id="contact_person" placeholder="<?php echo e(__('messages.contactPerson')); ?>" class="form-control" value="<?php echo e($settings->coffee_name); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class=""><?php echo e(__('messages.contactPersonEmail')); ?></label>
                        <input name="contact_person_email" id="contact_person_email" placeholder="<?php echo e(__('messages.contactPersonEmail')); ?>" class="form-control" value="<?php echo e($settings->contact_person_email); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class=""><?php echo e(__('messages.contactPersonNum')); ?></label>
                        <input name="contact_person_phone" id="contact_person_phone" placeholder="<?php echo e(__('messages.contactPersonNum')); ?>" class="form-control" value="<?php echo e($settings->contact_person_phone); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class=""><?php echo e(__('messages.country')); ?></label>
                        <input name="country" id="country" placeholder="<?php echo e(__('messages.country')); ?>" class="form-control" value="<?php echo e($settings->country); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class=""><?php echo e(__('messages.city')); ?></label>
                        <input name="city" id="city" placeholder="<?php echo e(__('messages.city')); ?>" class="form-control" value="<?php echo e($settings->city); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class=""><?php echo e(__('messages.address')); ?></label>
                        <input name="address" id="address" placeholder="<?php echo e(__('messages.address')); ?>" class="form-control" value="<?php echo e($settings->address); ?>" >
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class=""><?php echo e(__('messages.reg_num')); ?></label>
                        <input name="registeration_number" id="registeration_number" placeholder="<?php echo e(__('messages.reg_num')); ?>" class="form-control" value="<?php echo e($settings->registeration_number); ?>" >
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class=""><?php echo e(__('messages.vat_num')); ?></label>
                        <input name="vat_number" id="vat_number" placeholder="<?php echo e(__('messages.vat_num')); ?>" class="form-control" value="<?php echo e($settings->vat_number); ?>">
                    </div>

                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="tax" class=""><?php echo e(__('messages.tax')); ?></label>
                            <input type="number" name="tax" id="tax" placeholder="e.g: 15" class="form-control" value="<?php echo e($settings->tax); ?>" step="0.001">
                        </div>
                        <div class="position-relative form-group col-md-6">
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="included_vat"><?php echo e(__('messages.included_vat')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="included_vat" name="included_vat" <?php if($settings->with_tax == 1){echo 'checked';}?> >
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-check form-switch px-0">
                                        <label class="form-check-label" for="excluded_vat"><?php echo e(__('messages.excluded_val')); ?></label>
                                        <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="excluded_vat" name="excluded_vat" <?php if($settings->with_tax ==0){echo 'checked';}?>>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="logo" class=""><?php echo e(__('messages.logo')); ?></label>
                        <input type="file" id="logo" name="logo" class="form-control" accept="image/*" />
                    </div>
                    <?php if(!is_null($settings->logo)): ?>
                        <div class="position-relative form-group col-md-6">
                            <img id="show_img" class="img-fit" src="<?php echo e(asset('/images/'.$settings->logo)); ?>">
                        </div>
                    <?php endif; ?>
                </div>
                <button class="mt-1 btn bg-darkblue text-white">Save</button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function(){
            $('#included_vat').on('click',function(){
                if($('#excluded_vat').is(":checked")){
                    $('#excluded_vat').prop('checked',false)
                }
            })
            $('#excluded_vat').on('click',function(){
                if($('#included_vat').is(":checked")){
                    $('#included_vat').prop('checked',false)
                }
            })
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/dashboard/settings/show.blade.php ENDPATH**/ ?>