@extends('layouts.app')
@section('title')
Show User
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.show_user') }}</h5>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.full_name') }}</label>
                        <input name="name" id="name" placeholder="{{ __('messages.full_name') }}" class="form-control" value="{{ $user->name }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class="">{{ __('messages.username') }}</label>
                        <input name="username" id="username" placeholder="{{ __('messages.username') }}" class="form-control"value="{{ $user->username }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class="">{{ __('messages.username') }}</label>
                        <input name="email" id="email" placeholder="{{ __('messages.username') }}" class="form-control" type="email"value="{{ $user->email }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="password" class="">{{ __('messages.password') }}</label>
                        <input name="password" id="password" placeholder="{{ __('messages.password') }}" class="form-control"value="{{ $user->password }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class="">{{ __('messages.residence_id') }}</label>
                        <input name="residence_id" id="residence_id" placeholder="{{ __('messages.residence_id') }}" class="form-control" value="{{ $user->residence_id }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class="">{{ __('messages.role') }}</label>
                        <select name="role" id="role" class="form-control" disabled>
                            <option value="" selected disabled hidden>{{ __('messages.choose') }} {{ __('messages.role') }}</option>
                            @foreach($roles as $type)
                            <option value="{{ $type->id }}" <?php if ($type->id == $user->role) echo"selected";?>  >{{ $type->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_from" class="">{{ __('messages.shiftfrom') }}</label>
                        <input name="shift_from" id="shift_from" placeholder="{{ __('messages.shiftfrom') }}" class="form-control" type="time" step="36000"value="{{ $user->shift_from }}" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_to" class="">{{ __('messages.shiftto') }}</label>
                        <input name="shift_to" id="shift_to" placeholder="{{ __('messages.shiftto') }}" class="form-control" type="time" step="36000" value="{{ $user->shift_to }}" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class="">{{ __('messages.phone') }}</label>
                        <input name="phone" id="phone" placeholder="{{ __('messages.phone') }}" class="form-control" type="phone" value="{{ $user->phone }}" readonly>
                    </div>
                </div>
              <a href="/dashboard/users"  class="mt-1 btn btn-primary">{{ __('messages.back') }}</a>

        </div>
    </div>
</div>
@endsection
